from machine import Pin
from rp2 import PIO, StateMachine, asm_pio

# Parameters
frequency = 15_000
count_TOT = 40
FirstPin = 26

# PIO function - PWM generation 
@asm_pio(set_init=(PIO.OUT_LOW,PIO.OUT_LOW))
def square():
    set(pins, 0b0000)  [2]   # Deadtime
    set(pins, 0b00001) [18]  # HalfPeriod
    set(pins, 0b0000)  [2]   # Deadtime
    set(pins, 0b00010) [18]  # HalfPeriod
    

# Création d'une StateMachine pour générer les signaux en phase et en opposition de phase
sm = StateMachine(0, square, freq= count_TOT * frequency, set_base=Pin(FirstPin))

# Activation de la StateMachine
sm.active(1)