+++
title = 'Week 13 : Casting & Molding'
fa = "flask-vial"
faVariant = "solid"
toc = true
weight = 13
+++

### Summary

This week I designed a 3D mold on Fusion 360 from an STL of a chess piece found
on [cults3d](https://cults3d.com/en/3d-model/game/set-pieces-echecs). I then
produced the mold in PLA using a Prusa printer. In the end, I cast a Smooth
on polymer, as rigid as possible.

<div class="row">
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week13/Mold_Creation_Printed.jpg" alt = "MoldFinal"
class="mx-auto d-block">
  </div>
  <div class="col-md-6 align-self-center" markdown="1" >
      <img src = "./img/week13/Final_Result.jpg" alt = "FinalRes"
class="mx-auto d-block">
  </div>
</div>

I also tested resin printing to get a better surface finish.

<div class="row">
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week13/ResinePrinting_mold.jpg" alt = "ResinePrinting_mold"
class="mx-auto d-block">
  </div>
  <div class="col-md-6 align-self-center" markdown="1" >
      <img src = "./img/week13/ResinePrinting_Cast_Result_Clean.jpg" alt = "ResinePrinting_Cast_Result_Clean"
class="mx-auto d-block">
  </div>
</div>

***

### Assignments

#### Group Assignment

* Review the safety data sheets for each of your molding and casting materials,
then make and compare test casts with each of them compare printing
vs machining molds.

#### Individual Assignments

* Design a mold around the process you'll be using, produce it with a smooth
surface finish, and use it to cast parts.

***

## Materials Review & Casting Comparison

This part was done in group and is accessible on the [group page](https://fabacademy.org/2024/labs/ulb/group-assignments/week13/).

## Mold Design

To design the mold, I had two options:

* 3D design the mold and produce it.
* Design the negative of the mold, which will make a first mold that
will be used to create the mold for the part.

I decided to go for the simpler option as I'm a neofite in practice, if I have
time I'll try the other method!

For this week, I've decided to produce a chess piece, the queen to be precise.

To do this, I first need a 3D model of the part. I find a design that
suits me on the [cults3d website](https://cults3d.com/en/3d-model/game/set-pieces-echecs).

I import the part into Fusion 360, which will be the starting point for the
mold design.

<img src = "./img/week13/ChessPiece_Model.jpg" alt = "ChessPieceModel"
width = 40% class="mx-auto d-block">

The idea then is to create a solid around the part and use the part and
combine functions between it and the solid. The result is a solid hollow with
the negative of the chess queen.

<div class="row">
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week13/Mold_Model_1.jpg" alt = "MoldModel1"
class="mx-auto d-block">
  </div>
  <div class="col-md-6 align-self-center" markdown="1" >
      <img src = "./img/week13/Mold_FunctionAssemble.jpg" alt = "FunctionAssemble"
class="mx-auto d-block" >
  </div>
</div>

I now need to work on the mold to make it easy to use: to be able to open it
to remove the part after casting, and to have notches to align the two parts.

I use the "split body" function to have two pieces.

<div class="row">
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week13/Mold_Model_2.jpg" alt = "MoldModel2"
class="mx-auto d-block">
  </div>
  <div class="col-md-6 align-self-center" markdown="1" >
      <img src = "./img/week13/Mold_Model_3.jpg" alt = "MoldModel3"
class="mx-auto d-block" >
  </div>
</div>

I then work on one of the
two halves by extruding polygons (better for alignment). I then make a new "combination"
to remove the extrusions from the first half on the second.

<div class="row">
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week13/Mold_Model_4_Part1.jpg" alt = "MoldModel41"
class="mx-auto d-block">
  </div>
  <div class="col-md-6 align-self-center" markdown="1" >
      <img src = "./img/week13/Mold_Model_4_Part2.jpg" alt = "MoldModel42"
class="mx-auto d-block" >
  </div>
</div>

Finally, I chamfered the edges for a smoother finish and I add a 0.75-mm offset
in the holes so that the two pieces can fit together.

<img src = "./img/week13/Mold_Model_5.jpg" alt = "MoldModel5"
width = 40% class="mx-auto d-block">

My mold is ready to be made! I need to export the STLs for import into
the Prusa software.

### Files

* [Mold Files](./files/week13/week13.zip)

## Mold Production

I import the STLs into Prusa to generate a gcode for 3D printing. In the
parameterization section, I set the size of my mold according to the size
of the part I want. I also set the precision along the z axis. Better precision
could result in smoother rendering, but 3D printing takes much longer. I decide
to go for an in-between precision of a tenth of a millimetre for 8h of printing.

<img src = "./img/week13/Mold_Creation_Prusa.jpg" alt = "MoldPrusa"
width = 80% class="mx-auto d-block">

The printing process went smoothly, and the result can be seen below!

<img src = "./img/week13/Mold_Creation_Printed.jpg" alt = "MoldPrinted"
width = 60% class="mx-auto d-block">

Now I'm ready for the final step, which is casting the polymer into my
mold to create my chess queen!

## Casting

### Safety Measures

When casting polymers, ensuring safety is paramount. Here are the essential safety measures to follow:

1. **Personal Protective Equipment :**
   * *Gloves:* Wear chemical-resistant gloves to protect your hands from potential exposure to harmful substances.
   * *Safety Glasses:* Use safety glasses or goggles to shield your eyes from splashes and fumes.
   * *Lab Coat:* Wear a lab coat to protect your skin and clothing from spills.
   * *Respiratory Protection:* If working with volatile or hazardous chemicals, use a suitable respirator to avoid inhaling harmful fumes.

2. **Ventilation:**
   * *Work in a Well-Ventilated Area:* Ensure adequate ventilation by working in a well-ventilated area or under a fume hood to prevent the accumulation of harmful vapors.
   * *Local Exhaust Ventilation:* Utilize local exhaust systems to remove fumes directly from the source.

3. **Chemical Handling:**
   * *Read Material Safety Data Sheets:* Before using any chemicals, thoroughly read their MSDS to understand their properties and associated hazards.
   * *Proper Storage:* Store chemicals in clearly labeled, compatible containers, and keep them away from heat sources or direct sunlight.
   * *Handling:* Use proper tools and techniques when measuring and mixing chemicals to avoid spills and splashes.

4. **Safe Working Practices:**
   * *No Eating or Drinking:* Prohibit eating, drinking, or smoking in the area where polymer casting is taking place.
   * *Clean Work Area:* Keep the work area clean and free of clutter to minimize the risk of accidents.
   * *Labeling:* Clearly label all containers with their contents and hazard information.

**Please note**: All these measures were not applied during my casting due to lack of attention and time. Please do not reproduce what is done below without following the measures described above.

### Casting Production

For the choice of polymer, there was a huge choice available between the FabLab
and my research laboratory, so I decided to use a material that my colleagues
had already used, to have a little confidence in the result. It's called
[Smooth-Sil 960](https://www.smooth-on.com/products/smooth-sil-960/)
and has a hardness of 60 A, the equivalent of a car tire.

<img src = "./img/week13/Casting_1.jpg" alt = "Cast1"
width = 60% class="mx-auto d-block">

I start by calculating the volume needed to make my part. I'll need about 10 ml,
which isn't much. So I decide to make more to make it easier to measure and to
make sure I've got enough (even if I have to make another sample on the side).
As the ratio of A to B is 10:1, I need to be precise. In total, I'm
aiming for 25 grams of polymer.

I start by taring my container and adding element A.

<div class="row">
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week13/Casting_2.jpg" alt = "Cast2"
class="mx-auto d-block">
  </div>
  <div class="col-md-6 align-self-center" markdown="1" >
      <img src = "./img/week13/Casting_3.jpg" alt = "Cast3"
class="mx-auto d-block" >
  </div>
</div>

I then add element B in a 10:1 ratio, so here I need to add 2.25g of element B.

<div class="row">
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week13/Casting_4_2.jpg" alt = "Cast42"
class="mx-auto d-block">
  </div>
  <div class="col-md-6 align-self-center" markdown="1" >
      <img src = "./img/week13/Casting_4.jpg" alt = "Cast4"
class="mx-auto d-block" >
  </div>
</div>

Then mix gently to prevent bubbles from being encapsulated in the polymer.
I've got 45 minutes (pot life) to mix, vacuum and cast, so I'm not worried.

You can see that despite my precautions there are bubbles. It should be noted
that the polymer is not very fluid, which favors the encapsulation of bubbles.

<div class="row">
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week13/Casting_5.jpg" alt = "Cast5"
class="mx-auto d-block">
  </div>
  <div class="col-md-6 align-self-center" markdown="1" >
      <img src = "./img/week13/Casting_5_2.jpg" alt = "Cast52"
class="mx-auto d-block" >
  </div>
</div>

To get rid of as many bubbles as possible before casting, I pass my
container through the vacuum chamber to create a vacuum outside the
polymer, which will stretch the air outwards. I'm careful to protect the
outside because there's a risk of overflow, although I don't have much volume here.

<div class="row">
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week13/Casting_6_vac.jpg" alt = "Cast6"
class="mx-auto d-block">
  </div>
  <div class="col-md-6 align-self-center" markdown="1" >
      <img src = "./img/week13/Casting_6_vac_2.jpg" alt = "Cast62"
class="mx-auto d-block" >
  </div>
</div>

Below is a short video showing the bubbles escaping from the polymer.

<center>
    <video width=50% controls muted loop>
        <source src="./vid/week13/Casting_Bubble.mp4" type=video/mp4>
    </video>
</center>

After about twenty minutes under vacuum, I can take my container out of the
vacuum chamber and fill my mould. The mould is fixed beforehand so
that it doesn't move. I try not to create a new bubble by pouring the polymer gently.

<div class="row">
  <div class="col-md-4 align-self-center" markdown="1" >
    <img src = "./img/week13/Casting_7.jpg" alt = "Cast7"
class="mx-auto d-block">
  </div>
  <div class="col-md-4 align-self-center" markdown="1" >
      <img src = "./img/week13/Casting_7_2.jpg" alt = "Cast72"
class="mx-auto d-block" >
  </div>
  <div class="col-md-4 align-self-center" markdown="1" >
      <img src = "./img/week13/Casting_8.jpg" alt = "Cast8"
class="mx-auto d-block" >
  </div>
</div>

Now that the mould is full, I have to wait 16 hours for the polymer to cure.

After the curing time I can open the mould. I use a small scalpel to
separate the two parts of the mold. The result is quite satisfying!
 I still need to clean up the excess bits.

<div class="row">
  <div class="col-md-5 align-self-center" markdown="1" >
    <img src = "./img/week13/Unmolding_1.jpg" alt = "UnMold1"
class="mx-auto d-block">
  </div>
  <div class="col-md-7 align-self-center" markdown="1" >
      <img src = "./img/week13/Unmolding_2.jpg" alt = "UnMold2"
class="mx-auto d-block" >
  </div>
</div>

<img src = "./img/week13/Unmolding_3.jpg" alt = "UnMold3"
class="mx-auto d-block" width = 80%>

After removing the excess material, the result is really good,
quite smooth and precise.

<img src = "./img/week13/Final_Result.jpg" alt = "FinalRes"
class="mx-auto d-block" width = 80%>

A little bonus: the piece is very non-slip, so you can play a game of chess vertically.

<img src = "./img/week13/Window_View.jpg" alt = "WinView"
class="mx-auto d-block" width = 50%>

## Going Further

To take this week's work a step further, I'm going to make the same mold in resin to improve the surface finish.

To do this, I import the mold model into the Chitubox software. Models should be positioned at an angle, with the cleanest surface facing upwards.

<img src = "./img/week13/Chitubox.jpg" alt = "Chitubox"
class="mx-auto d-block" width = 80%>

I export the file, put it on a USB stick and open it in the *Elegoo Mars 2P* resin printer. Printing takes 3 hours. The result is shown below.

<div class="row">
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week13/ResinePrinting.jpg" alt = "ResinePrinting"
class="mx-auto d-block">
  </div>
  <div class="col-md-6 align-self-center" markdown="1" >
      <img src = "./img/week13/ResinePrinting_Result.jpg" alt = "ResinePrinting_Result"
class="mx-auto d-block">
  </div>
</div>

Once the supports have been removed, the impregnator is placed under UV light for around ten minutes to complete the curing of the resin.

<img src = "./img/week13/ResinePrinting_UV.jpg" alt = "ResinePrinting_UV"
class="mx-auto d-block" width=30%>

The result is a well-cured mold with an improved surface finish compared to PLA. I then tighten the mold to prevent leaks during casting.

<div class="row">
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week13/ResinePrinting_mold.jpg" alt = "ResinePrinting_mold"
class="mx-auto d-block">
  </div>
  <div class="col-md-6 align-self-center" markdown="1" >
      <img src = "./img/week13/ResinePrinting_mold_fixed.jpg" alt = "ResinePrinting_mold_fixed"
class="mx-auto d-block">
  </div>
</div>

I prepare the polymer to be cast. Here I want to use a polymer that cures fairly quickly, so I choose Ecoflex 00-35 Fast. I prepare the dosages, which are in a 1:1 ratio.

<div class="row">
  <div class="col-md-4 align-self-center" markdown="1" >
    <img src = "./img/week13/ResinePrinting_Ecoflex.jpg" alt = "ResinePrinting_Ecoflex"
class="mx-auto d-block">
  </div>
  <div class="col-md-4 align-self-center" markdown="1" >
      <img src = "./img/week13/ResinePrinting_Prep1.jpg" alt = "ResinePrinting_Prep1"
class="mx-auto d-block">
  </div>
  <div class="col-md-4 align-self-center" markdown="1" >
      <img src = "./img/week13/ResinePrinting_Prep2.jpg" alt = "ResinePrinting_Prep2"
class="mx-auto d-block">
  </div>
</div>

I can then cast the ecoflex. I have to be quick because the pot life is 2.5 min.

<img src = "./img/week13/ResinePrinting_pouring.jpg" alt = "ResinePrinting_pouring"
class="mx-auto d-block" width=50%>

The gross result is quite satisfying! It's shown below, along with a slightly cleaner version.

<div class="row">
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week13/ResinePrinting_Casted_Brut.jpg" alt = "ResinePrinting_Casted_brut"
class="mx-auto d-block">
  </div>
  <div class="col-md-6 align-self-center" markdown="1" >
      <img src = "./img/week13/ResinePrinting_Cast_Result_Clean.jpg" alt = "ResinePrinting_Cast_Result_Clean"
class="mx-auto d-block">
  </div>
</div>

This concludes a highly instructive week!
