+++
title = 'Week 16 : Wildcard Week'
fa = "fire"
faVariant = "solid"
toc = true
weight = 16
+++

### Summary

This week, I experimented with a four-step design process to design a logo for
my mother, who makes ceramics. I then embroidered this logo to experiment with
a new manufacturing technique. The final result is shown below.

<div class="row">
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week16/Inkscape_Logo&Sym&ColorV1.jpg" alt = "Inkscape_Logo&Sym&ColorV1"
class="mx-auto d-block" width = 80%>
  </div>
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week16/Result_Final.jpg" alt = "Result_Final"
class="mx-auto d-block" width = 80%>
  </div>
</div>

***

### Assignments

#### Individual Assignments

* Design and produce something with a digital process
(incorporating computer-aided design and manufacturing) not covered in
another assignment, documenting the requirements that your assignment
meets, and including everything necessary to reproduce it.

***

## Contexte of the Week

This week, Mélanie from the FabLab suggested a different approach to the week's
tasks. She suggested we become designers and adopt a more creative approach. But
she also imposed a constraint on us: not to use the Internet to find out what
to do. The design process goes through several stages: define, ideate,
prototype, and imagine usages. So I'm going to try to relate to them
for this week's project.

<img src = "./img/week16/Design_Process.jpg" alt = "Design_Process"
class="mx-auto d-block" width =80%>

We were also introduced to the technique of digitally assisted embroidery. This
is what I'm going to use to highlight my logo.

For this week, I came up with the idea of creating a logo for my mother, who
makes ceramics. It was Mother's Day in Belgium, so it made sense. It's not her
job, but it's not impossible that one day she'll start marketing her creations,
so I thought it was a good idea.

## Define

For this step, I need to define the project I want to design. To do this,
Mélanie suggest brainstorming and illustrating it with a mindmap.

**What's a mindmap ?**

A mindmap is a visual tool used to organize information, ideas, or concepts around
a central theme, typically branching out in a non-linear, diagrammatic
format to show relationships and hierarchy.

In my case, I started with the "Project" idea, and went into three branches:
logo, mother, and ceramics. For a first experience, I kept things simple. Then
I started generating sub-links that came naturally to me.

Finally, I decided, in red, to make the links I wanted to appear in my logo.
These links will form the basis of the next step.

<img src = "./img/week16/Mindmap.jpg" alt = "Mindmap"
class="mx-auto d-block">

## Ideate

Ideation is a creative process that involves exploring different
ways of representing the project as defined in the previous step.
I make a point of not using the Internet for inspiration.

**Paper & pen**

For this stage, I sat down in front of a sheet of paper with a pen, and started
drawing and writing. I started on paper so I'd have a clear idea of where to go when
I turned to the computer. My drafts are shown below.

<img src = "./img/week16/Draft_BrandName.jpg" alt = "Draft_BrandName"
class="mx-auto d-block" width =80%>

In my drafts I focused on the brand name, missing the symbol aspect which will
come later.

**Computer**

I'm now turning to Inkscape, the drawing program I used in my first week and
have been using ever since. I produce a whole host of different versions,
trying to highlight the name I've settled on: "Pat & Pot" or "Pot & Pat",
Pat being my mother's nickname, and pot, a ceramic pot. My versions are
shown below. I'm not working on the color yet, as I'd rather decide on a
definitive version.

<div class="row">
  <div class="col-md-4 align-self-center" markdown="1" >
    <img src = "./img/week16/Inkscape_LogoV1.jpg" alt = "Inkscape_LogoV1"
class="mx-auto d-block">
  </div>
  <div class="col-md-4 align-self-center" markdown="1" >
    <img src = "./img/week16/Inkscape_LogoV2.jpg" alt = "Inkscape_LogoV2"
class="mx-auto d-block">
  </div>
  <div class="col-md-4 align-self-center" markdown="1" >
    <img src = "./img/week16/Inkscape_LogoV3.jpg" alt = "Inkscape_LogoV3"
class="mx-auto d-block">
  </div>
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week16/Inkscape_LogoV4.jpg" alt = "Inkscape_LogoV4"
class="mx-auto d-block" width = 40%>
  </div>
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week16/Inkscape_LogoV5.jpg" alt = "Inkscape_LogoV5"
class="mx-auto d-block" width = 60%>
  </div>
</div>

I ended up with the following version for the text aspect of the logo.

<img src = "./img/week16/Inkscape_LogoV6.jpg" alt = "Inkscape_LogoV6"
class="mx-auto d-block" width = 40%>

I'd now like to include a symbol. Since I'm not very confident with drawing,
I decide to go to a free symbol bank, and integrate one I like. I try
different configurations again, and decide on this one on the right.

<div class="row">
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week16/Inkscape_Logo&SymV1.jpg" alt = "Inkscape_Logo&SymV1"
class="mx-auto d-block" width = 80%>
  </div>
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week16/Inkscape_Logo&SymV2.jpg" alt = "Inkscape_Logo&SymV2"
class="mx-auto d-block" width = 60%>
  </div>
</div>

Finally, I decide to work with color. I'll keep it fairly simple,
choosing two complementary colors: blue and terracotta.

<img src = "./img/week16/Inkscape_Logo&Sym&ColorV1.jpg" alt = "Inkscape_Logo&Sym&ColorV1"
class="mx-auto d-block" width = 40%>

This concludes the ideation stage with the logo I like, taking into
account what I defined in the previous stage.

## Prototype

For the prototyping stage, I decided to use the digitally-assisted
embroidery technique presented to us. I'm going to test different parameter
configurations, iterating my prototype until I end up with a version that
fully satisfies me.

### Embroidery Machine

The machine model is the Brother Innov-is F480, and there are a
series of preparation steps to follow in order to embroider what
you want. These steps are presented below.

### File Preparation

To prepare the file, you need to be on Inkscape and install the Ink/Stitch
extension to generate machine-readable files.

Installation of the extension is straightforward and explained on its [website](https://inkstitch.org//).

Back on Inkscape, the drawing must be vectorized and in "path" form. Colors
are differentiated by the machine, so this should be taken into account.
The drawing must not be larger than the machine's frame, which is
limited to 13 by 18 cm.

By going to extension>Ink/stitch>Parameters, I can set the embroidery
parameters. For example, I can increase thread density by decreasing the
distance between two passes. I can change the orientation of passes
or the way they are generated (contours, from inside to outside, etc.).
A preview is also available.

<div class="row">
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week16/InkStitch_Parameters.jpg" alt = "InkStitch_Parameters"
class="mx-auto d-block">
  </div>
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week16/InkStitch_Preview.jpg" alt = "InkStitch_Preview"
class="mx-auto d-block">
  </div>
</div>

I'll play with these parameters to get my final version.

Finally, I save the file in machine-readable format by going
to file>save as>*.pes file.

### Machine Preparation

To prepare the machine, you need to prepare the frame, upper thread and lower thread.

##### **Lower Thread Preparation**

To prepare the lower thread, I need a small spool of the thread I want to use.
This is placed under the needle, with the thread following the arrows
indicated for positioning.

If this small spool of thread is not available, it is necessary to make one
using a large spool. This procedure consists of placing the large spool in
its position, and the small spool on the upper right-hand side of the
machine and activating the rewind.

##### **Upper Thread Preparation**

To prepare the upper thread, I place the spool in its position and follow
the path indicated by the arrows on the machine with the thread. At the end of
the path, the thread is inserted into the needle. This can be done by hand, or
using the hand crank on the left of the machine, placing the thread in its
notch at position 7.

##### **Frame Preparation**

To prepare the frame, I start by cutting the fabric to the size of the
frame (with a margin), as well as the paper that goes underneath the
fabric to stiffen the embroidery.

<img src = "./img/week16/Fabric&Paper.jpg" alt = "Fabric&Paper"
class="mx-auto d-block" width = 80%>

I then place the two layers on the lower part of the frame, and close it
with the upper part. I take care to tighten the two parts together with
the dedicated screw. I also take care to stretch the fabric so that the
embroidery runs smoothly.

<div class="row">
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week16/Frame&Fabric.jpg" alt = "Frame&Frabic"
class="mx-auto d-block">
  </div>
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week16/Fram_Screw.jpg" alt = "Fram_Screw"
class="mx-auto d-block">
  </div>
</div>

Then I can place the frame on the machine using the notches that are
available as shown in the images below.

<div class="row">
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week16/Frame_Positionning_1.jpg" alt = "Frame_Positionning_1"
class="mx-auto d-block" width = 80%>
  </div>
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week16/Frame_Positionning_2.jpg" alt = "Frame_Positionning_2"
class="mx-auto d-block" width = 80%>
  </div>
</div>

The machine is ready, I can now move on to configuring the software on the machine.

<img src = "./img/week16/ReadyToGo.jpg" alt = "ReadyToGo"
class="mx-auto d-block" width = 80%>

##### **Start Embroidery**

To start the embroidery, I insert the USB key with the .pes file into
the machine, and select my file on the machine. There's a whole range of
tools available for choosing position, size, etc. It's also possible to check
the outline of the embroidery to see its position in real time. Finally, the
last screen shows us the embroidery operation that will be performed, the time
it will take, and the colours.

<div class="row">
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week16/Machine_Main_Page.jpg" alt = "Machine_Main_Page"
class="mx-auto d-block">
  </div>
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week16/Machine_PlaceDrawing.jpg" alt = "Machine_PlaceDrawing"
class="mx-auto d-block">
  </div>
</div>

<div class="row">
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week16/Machine_FrameDrawing.jpg" alt = "Machine_FrameDrawing"
class="mx-auto d-block">
  </div>
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week16/Machine_OperationView.jpg" alt = "Machine_OperationView"
class="mx-auto d-block">
  </div>
</div>

To start the embroidery, lower the foot onto the fabric using the crank behind
the machine, and press the green button.

<div class="row">
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week16/Machine_BottomLeverUp.jpg" alt = "Machine_BottomLeverUp"
class="mx-auto d-block">
  </div>
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week16/Machine_FootUp.jpg" alt = "Machine_FootUp"
class="mx-auto d-block">
  </div>
</div>

<div class="row">
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week16/Machine_BottomLeverDown.jpg" alt = "Machine_BottomLeverDown"
class="mx-auto d-block">
  </div>
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week16/Machine_FootDown.jpg" alt = "Machine_FootDown"
class="mx-auto d-block">
  </div>
</div>

### Results

All the results are shown below. I started with the default settings, then
tested the contour fill: inside to outside, and finally tested increasing
the thread density with the contour, and the auto fill.

<div class="row">
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week16/Result_FirstTry.jpg" alt = "Result_FirstTry"
class="mx-auto d-block">
  </div>
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week16/Result_SecondTry.jpg" alt = "Machine_FootUp"
class="mx-auto d-block">
  </div>
</div>

<div class="row">
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week16/Result_ThirdTry.jpg" alt = "Machine_BottomLeverDown"
class="mx-auto d-block">
  </div>
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week16/Result_Final.jpg" alt = "Result_Final"
class="mx-auto d-block">
  </div>
</div>

To show it to my mother, I re-did the last version on a larger piece of fabric.

#### Problems experienced

1) The thread comes off the needle during embroidery.

2) The needle falls out during embroidery.

3) The small lower spool has no thread left.

4) The fabric running over the frame folded under the frame and was sewn underneath.

## Imagine

For this part of the design, I'm going to think about applying this
logo to different media, but that won't be done per se.

1) Borders on pockets, bags, t-shirts, etc.
2) Website
3) Business card
4) Signs

I'm keeping this fairly concise because it relates more specifically to
the work of industrial designers, who will have to sell their idea to their
client, something I won't have to do here.

## Files

* [SVG Logo files](./files/week16/Logo_All.zip)
* [Embroidery machine files](./files/week16/EmbroderyFiles.zip)
