+++
title = 'Week 19 : Invention, Intellectual Property, and Income'
fa = "scale-balanced"
faVariant = "solid"
toc = true
weight = 19
+++

### Summary

In this week, I focused on the dissemination of my final project, exploring intellectual property options, and planning potential income sources. The goal was to create a comprehensive plan for sharing my project with the world while protecting my intellectual property and considering future monetization possibilities.

***

### Assignments

#### Individual Assignments

* Develop a plan for dissemination of your final project
* Prepare drafts of your summary slide (presentation.png, 1920x1080) and video clip (presentation.mp4, 1080p HTML5, < ~minute, < ~10 MB) and put them in your root directory.

***

## Intellectual Property

Intellectual property (IP) refers to creations of the mind, such as inventions, literary and artistic works, designs, and symbols, names, and images used in commerce. It is protected by law through patents, copyrights, and trademarks, allowing creators to control and benefit from their creations.

In the context of my project, understanding IP is crucial to ensure that my work is protected and used in a manner that aligns with my intentions. The theory behind IP is to promote innovation and creativity by providing legal protection and economic incentives to creators.

## Project Dissemination

Looking towards the future of my project, I will share the work completed during the Fab Academy on my website. This will include essential documentation and summaries without divulging sensitive information that could compromise future patent applications or scientific publications.

The main elements of my dissemination plan are:

1. **Limited Online Sharing**: I will share the accomplishments and progress made during the Fab Academy on my personal website. This will provide visibility while safeguarding confidential details crucial for future patent and publication efforts.

2. **Selective Engagement**: I will engage with a targeted audience comprising potential collaborators and peers within the academic and research community. This strategic approach will ensure valuable feedback and partnerships without compromising confidentiality.

3. **Controlled Presentations**: Any public presentations or demonstrations will focus on showcasing the achievements and capabilities of the project without revealing proprietary information.

4. **Future Publications**: Detailed information and findings from the project will be prepared for submission to scientific journals and conferences. This formal approach ensures rigorous peer review and protects intellectual property rights during publication.

To maintain control over the use of my work, I have selected the “Creative Commons Attribution - Non Commercial - CC-BY-NC” license. This license permits others to use, share, and adapt my work for non-commercial purposes while requiring attribution to me. The license was chosen using the [Creative Commons Chooser](https://chooser-beta.creativecommons.org/#metadata).

<img src = "./img/project/license.jpg" alt = "license"
class="mx-auto d-block" width=80%>

## Summary Slide

![Presentation Slide](presentation.png)

## Video Clip

<center>
    <video controls loop width=80%>
        <source src="./presentation.mp4" type=video/mp4>
    </video>
</center>
