+++
title = 'Week 2 : CAD'
fa = "computer"
faVariant = "solid"
toc = true
weight = 2
+++

### Summary

This week I model in 2D and 3D my high-voltage generator
and plasma reactor in 3D.

<div class="row">
  <div class="col-md-6 align-self-center text-center" markdown="1" >
    <img src = "./img/week2/HV_Gene_View_1.jpg" alt = "SumHVGene"
class="mx-auto d-block">
    <i> My HV Generator</i>
  </div>
  <div class="col-md-6 align-self-center text-center" markdown="1" >
      <img src = "./img/week2/Plasma_Reactor.jpg" alt = "SumPlasmaReac"
class="mx-auto d-block">
<i> My Plasma Reactor </i>
  </div>
</div>

***

### Assignments

* Model (raster, vector, 2D, 3D, render, animate, simulate, ...) a possible final
project.
* Compress your images and videos.
* Post a description with your design files on your class page.

## 2D Modeling

### Sketch Creation

To model my project, I start by making a few drawings by hand. Below from left
to right: A drawing of my high-voltage generator; additional ideas
(protective cover, safety button); the plasma reactor.

<div class="row">
  <div class="col-md-4 align-self-center" markdown="1" >
    <img src = "./img/week2/HandSketch1.jpg" alt = "sketch11"
class="mx-auto d-block">
  </div>
  <div class="col-md-4 align-self-center" markdown="1" >
      <img src = "./img/week2/HandSketch3.jpg" alt = "sketch11"
class="mx-auto d-block">
  </div>
  <div class="col-md-4 align-self-center" markdown="1">
    <img src = "./img/week2/HandSketch2.jpg" alt = "sketch12"
class="mx-auto d-block">
  </div>
</div>

### Inkscape Creation

I then improve and clean up these drawings on [Inkscape](https://inkscape.org/fr/).
Inkscape is a free and open-source vector graphics editor for creating and editing
scalable vector graphics (SVG). It offers a user-friendly interface with tools for
drawing, editing shapes, and manipulating text. Widely used for designing illustrations
and logos, Inkscape supports various file formats and provides advanced
customization options.

#### Drawing the HV Generator

I start by drawing a rectangle with lines, and then create a perspective
by drawing a slanting line. By using lines instead of a rectangle object,
I can copy and paste these lines to have the same direction and size.
This allows me to draw the rectangular box.

I then add a triangle, and the text "HV". I use the position tools to
center the text in the triangle, and the triangle on the box.

<div class="row">
  <div class="col-md-8 align-self-center" markdown="1" >
    <img src = "./img/week2/InkscapeHVGene_1.jpg" alt = "drawingBox"
class="mx-auto d-block">
  </div>
  <div class="col-md-4 align-self-center" markdown="1" >
      <img src = "./img/week2/InkscapeHVGene_2.jpg" alt = "drawingTri"
class="mx-auto d-block">
  </div>
</div>

I then add the drawings on the side and top of the box using the circle/oval
tool and writing "-" and "+". I also draw two rectangles by shrinking a copy
of the top face of the box to get the same perspective.

<div class="row">
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week2/InkscapeHVGene_3.jpg" alt = "drawingSide"
class="mx-auto d-block" width =20%>
  </div>
  <div class="col-md-6 align-self-center" markdown="1" >
      <img src = "./img/week2/InkscapeHVGene_4.jpg" alt = "drawingUp"
class="mx-auto d-block" width =50%>
  </div>
</div>

With this I finish the drawing of my HV generator!

<img src = "./img/week2/InkScapeSketch_1.jpg" alt = "drawingHVGene"
class="mx-auto d-block">

#### Drawing the Plasma Reactor

Designing the plasma reactor was a little more laborious. I
began by drawing a cylinder with two ovals and two horizontal lines.

<img src = "./img/week2/InkscapePlasma_1.jpg" alt = "drawingCyl"
class="mx-auto d-block" width =80%>

I then add a gray arc superimposed on the oval at the back to
create the illusion that the arc is inside the cylinder and that
the color is therefore gray.

<img src = "./img/week2/InkscapePlasma_2.jpg" alt = "drawingIllu"
class="mx-auto d-block" width =50%>

I copy and paste the rear base of the cylinder in different
places to subdivide my cylinder and create the different parts
of the plasma reactor.

<img src = "./img/week2/InkscapePlasma_3.jpg" alt = "drawingCircles"
class="mx-auto d-block" width =80%>

Then I'll add a few details:

* A smaller cylinder at the front and rear to
create the gas inlet and outlet. I use the same principle of greyed-out
areas when a visible stop is covered because it's inside.
* Two connections at two precise points on the cylinder for
connecting a cable. One will be the high-voltage connection,
and the other the ground connection.

<img src = "./img/week2/InkscapePlasma_4.jpg" alt = "drawingDetails"
class="mx-auto d-block" width =80%>

I continue by modeling the part upstream of the reactor with lines. This part is
used to connect the high voltage from the outside to the inside. It needs to be
designed to allow insertion of a conductive copper rod to act as an electrode.
This part is shown as an example of 3D modeling in the next section. I'm also
modeling the exterior of the plasma reaction chamber, which is composed of a mesh.
I simply draw it with intersecting lines. And finally I add the plasma by filling
it in with color and using an attenuation effect on the edges.

<div class="row">
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week2/InkscapePlasma_5.jpg" alt = "drawingConnect"
class="mx-auto d-block">
  </div>
  <div class="col-md-6 align-self-center" markdown="1" >
      <img src = "./img/week2/InkscapePlasma_6.jpg" alt = "drawingPlasma"
class="mx-auto d-block">
  </div>
</div>

With this I finish the drawing of my Plasma reactor!

<img src = "./img/week2/InkScapeSketch_2.jpg" alt = "sketch11"
class="mx-auto d-block">

I'll use all this to model my project in 3D.

### 2D Files

* [SVG file HV generator](./files/week2/HV_gene.svg)
* [SVG file Plasma reactor](./files/week2/PlasmaReac.svg)

***

## 3D Modeling

SolidWorks is a leading computer-aided design (CAD) software used worldwide
by engineers, designers,and architects to create, simulate, and manage 3D
models. Developed by Dassault Systèmes, it offers a user-friendly interface
and powerful tools for designing, analyzing, and visualizing mechanical,
electrical, and architectural projects. With parametric modeling capabilities
and seamless integration with other engineering software, SolidWorks enables
efficient and accurate design from concept to production.

I decided to use this software because I haven't used it in a long time.
In addition, I wanted to try out the "metal sheet" add-on which will be
presented below.

### Sketch Creation

I'll explain and illustrate what I did to create my sketches.
For this example, I'm going to create the plasma reactor part
that connects the high voltage. This part needs to be cylindrical,
hollow, and allow the high-voltage electrode to be attached at its
center. A schematic is shown in the previous section.

Let's start with the basics of creating sketches in SolidWorks:

1. **Sketching Plane Selection**: In SolidWorks, sketches are typically created
on specific planes such as the Front, Top, or Right planes. You can select a
plane by clicking on it in the feature manager tree or by using the Plane tool
to create custom sketch planes.

2. **Sketch Tools**: SolidWorks provides a variety of sketch tools including
lines, circles, rectangles, arcs, and splines. These tools allow you to create
the basic geometry of your sketch.

3. **Dimensioning**: Dimensions define the size and position of sketch entities.
You can add dimensions by selecting sketch entities and then specifying their
sizes using the Smart Dimension tool.

4. **Relations**: Relations define geometric relationships between sketch
entities. For example, you can make lines parallel, perpendicular, or tangent
to each other, or you can specify that two points are coincident.

I choose the **top plane**, and start by drawing 4 **concentric** circles.
The two outer ones will generate the outer cylinder, and the two inner ones the inner
cylinder. I used the intelligent dimensin tool to impose the diameters of
my circles. I'm also adding two lines to connect the outer and inner cylinders.

<div class="row">
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week2/sketch_11.jpg" alt = "sketch11"
class="mx-auto d-block">
  </div>
  <div class="col-md-6 align-self-center" markdown="1">
    <img src = "./img/week2/sketch_12.jpg" alt = "sketch12"
class="mx-auto d-block">
  </div>
</div>

Now, let's delve into some advanced sketching techniques:

1. **Symmetry**: SolidWorks offers symmetry tools that enable you to create
symmetric sketches easily. You can use the "Symmetric" relation to establish
symmetry about a centerline or axis. This is particularly useful for designing
parts with symmetric features like machine components or product casings.

2. **Mirror Entities**: The Mirror Entities tool allows you to mirror sketch
entities across a line or plane. This is helpful when you have half of a
symmetric sketch and want to mirror the other half without manually recreating
it. Simply select the entities you want to mirror and specify the mirror
line or plane.

3. **Pattern Features**: SolidWorks provides powerful patterning tools that
allow you to replicate sketch entities or features in a controlled manner.
The Linear Pattern and Circular Pattern tools enable you to create linear
or circular arrays of sketch entities with specified spacing and quantities.

4. **Sketch Blocks**: Sketch blocks are reusable collections of sketch
entities that you can save and insert into sketches. This is beneficial
for standardizing and reusing common sketch elements across multiple parts
or assemblies, improving efficiency and consistency in your designs.

I'm now going to use the pattern function to replicate the lines I've drawn around
the center. I can decide to replicate it as many times as I like. I choose 3 replicas.
I need to think about the solidity of the part, but I also need to minimize the
surface area taken up by these supports, as gas has to pass along the cylinder.

<img src = "./img/week2/sketch_13.jpg" alt = "sketch13"
class="mx-auto d-block">

Here's the sketch result

<img src = "./img/week2/sketch_14.jpg" alt = "sketch14" width = 50%
class="mx-auto d-block">

### Solid Parts Creation

In SolidWorks, solid modeling is based on creating 3D geometry from 2D sketches.
Here's how it works:

1. **Extrude**: The Extrude feature in SolidWorks allows you to create a solid
by extruding a 2D sketch in a specific direction. You can specify the extrusion
distance and whether it adds or removes material. This is one of the fundamental
features for creating solid geometry from sketches.

2. **Revolve**: The Revolve feature revolves a sketch around an axis to create
a solid. You sketch a profile, specify an axis of revolution, and SolidWorks
will generate the solid by revolving the sketch around the axis.

3. **Sweep**: With the Sweep feature, you can create a solid by sweeping a 2D
sketch along a path. This is useful for creating features like pipes, rails,
or other extruded shapes that follow a specific trajectory.

4. **Loft**: The Loft feature creates a solid by blending between two or more
profiles. You sketch multiple profiles and then use the Loft tool to smoothly
transition between them, creating a solid shape.

From the sketch I've created, I'll extrude my part. I select the areas to be
extruded by clicking on them. I also select the height of the extrusion, in this
case 20 mm. The result of extrusion is a solid.

<div class="row">
  <div class="col-md-7 align-self-center" markdown="1" >
    <img src = "./img/week2/function_11.jpg" alt = "function11"
class="mx-auto d-block">
  </div>
  <div class="col-md-5 align-self-center" markdown="1">
    <img src = "./img/week2/function_12.jpg" alt = "function12"
class="mx-auto d-block">
  </div>
</div>

Next, I need to model a perpendicular outlet from this cylinder.
In fact, I want to design a way of safely connecting the high voltage.
I'm inspired by certain banana connectors.

So I select the front plane, and draw a centered rectangle.
I make sure all dimensions are correct by defining the correct lengths.

<div class="row">
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week2/sketch_21.jpg" alt = "sketch21"
class="mx-auto d-block">
  </div>
  <div class="col-md-6 align-self-center" markdown="1">
    <img src = "./img/week2/sketch_22.jpg" alt = "sketch22"
class="mx-auto d-block">
  </div>
</div>

I'm extruding again, but this time from a surface that's the outside of the
cylinder. As a result, I'm extruding from the outside of the cylinder,
not from the base plane of the sketch.

<img src = "./img/week2/function_21.jpg" alt = "function21"
class="mx-auto d-block">

Here's the extrusion result

<img src = "./img/week2/function_22.jpg" alt = "function22"
class="mx-auto d-block" >

I have to make a hole in this last extrusion to connect a banana connector.
To do this, I select the surface and create a sketch on it.

<img src = "./img/week2/sketch_31.jpg" alt = "sketch31"
class="mx-auto d-block">

I draw the circle that will create the hole, and define its diameter and the
distance it should be.

<img src = "./img/week2/sketch_32.jpg" alt = "sketch32"
class="mx-auto d-block">

Finally, I use the function to remove material, using the previous sketch.

<img src = "./img/week2/function_31.jpg" alt = "function31"
class="mx-auto d-block">

And that's it, my part is done!

<img src = "./img/week2/final_result.jpg" alt = "finalresult"
class="mx-auto d-block">

During modeling, I had to make a box for the high-voltage generator.
I tried to use the solidworks "metal sheet" add-on.
This is briefly explained below.

The Metal Sheet module in SolidWorks is specifically designed for sheet metal
design and fabrication. It includes features tailored for designing sheet metal
parts such as bends, flanges, and reliefs. Users can create base flanges from
sketches, add edge flanges to define the edges of the sheet metal part, and apply
bends to create the final shape. The module also offers tools for automatically
calculating bend allowances, generating flat patterns for manufacturing, and
simulating the forming process to ensure accurate designs.

I limited myself to using a few basic functions, but here's what I came up with:

<img src = "./img/week2/metalsheet_1.jpg" alt = "metalsheet1"
class="mx-auto d-block" width = 80%>

For example, it's possible to "flatten" the sheet metal part like this:

<img src = "./img/week2/metalsheet_2.jpg" alt = "metalsheet2"
class="mx-auto d-block" width = 80%>

Finally, to make my model, I used the "GrabCAD" website for various standardized
parts or to detail the model and see the final rendering.

*What is GrabCAD?*

GrabCAD is a collaborative platform for engineers, designers, and manufacturers
to share CAD models, collaborate on projects, and access a library of CAD files.
It provides a vast repository of 3D models, including parts, assemblies, and
drawings, contributed by users from around the world. Engineers and designers
can use GrabCAD to showcase their work, find inspiration from others' designs,
and collaborate with colleagues or clients on CAD projects. It's a valuable
resource for the engineering community, offering a platform for knowledge
sharing and collaboration in the field of computer-aided design.

Some examples of parts picked up on GrabCAD :

<div class="row">
  <div class="col-md-4 align-self-center" markdown="1" >
    <img src = "./img/week2/grabcad_1.jpg" alt = "grabcad1"
class="mx-auto d-block">
  </div>
  <div class="col-md-4 align-self-center" markdown="1">
    <img src = "./img/week2/grabcad_2.jpg" alt = "grabcad2"
class="mx-auto d-block">
  </div>
  <div class="col-md-4 align-self-center" markdown="1">
    <img src = "./img/week2/grabcad_3.jpg" alt = "grabcad3"
class="mx-auto d-block">
  </div>
</div>

### Assembly

Assembly in SolidWorks refers to the process of bringing together multiple
parts or components to create a complete product or mechanism. Here's a
basic overview of assembly in SolidWorks:

1. **Creating an Assembly**: To start, you typically begin by creating a
new assembly file in SolidWorks. This serves as the container for your assembly project.

2. **Inserting Components**: Once the assembly file is open, you can insert
components into the assembly. Components can include parts, sub-assemblies,
or even entire assemblies. You can either insert existing components from
your SolidWorks files or create new parts directly within the assembly environment.

3. **Placing Components**: After inserting components, you can place them in
the desired positions within the assembly. SolidWorks provides tools for moving,
rotating, and aligning components relative to each other. This allows you to
establish the correct spatial relationships between parts, ensuring that they
fit together properly.

4. **Defining Relationships**: SolidWorks offers various mate features to
define relationships between components. Mates establish how components
interact with each other spatially. Common types of mates include coincident,
parallel, perpendicular, tangent, and concentric mates. By applying mates,
you ensure that parts are properly aligned and constrained within the assembly.

5. **Adding Constraints and Motion**: In addition to mates, SolidWorks allows
you to add other constraints and motion settings to components within the
assembly. For example, you can define limits on the range of motion for
certain parts, specify rotation angles, or set up mechanical motion
simulations to analyze how components interact under various conditions.

6. **Creating Exploded Views**: Exploded views are a helpful feature in
SolidWorks assemblies that allow you to illustrate the assembly process or
disassembly sequence of your design. You can create exploded views to show
how components fit together and how they can be assembled or disassembled.

7. **Documenting the Assembly**: SolidWorks provides tools for creating
detailed assembly drawings, which include views, dimensions, annotations,
and bill of materials (BOM). These drawings serve as documentation for
manufacturing and assembly processes, providing instructions for building
the final product.

Overall, assembly in SolidWorks enables you to bring together individual
parts to create complex mechanical assemblies, visualize how components
interact, and simulate the behavior of the final product. It's a critical
aspect of the design process, allowing engineers and designers to evaluate
the performance, functionality, and manufacturability of their designs
before they are built.

To make the assemblies for my high-voltage generator and plasma reactor, I had
to make all the parts, or take them directly from GrabCAD.

The result for the generator is shown below with an exploded view and a normal view.

<div class="row">
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week2/HV_Gene_View_1.jpg" alt = "hvgene1"
class="mx-auto d-block">
  </div>
  <div class="col-md-6 align-self-center" markdown="1">
    <img src = "./img/week2/HV_Gene_View_2.jpg" alt = "hvgene2"
class="mx-auto d-block">
  </div>
</div>

<img src = "./img/week2/HV_Gene_ExploView_Line.jpg" alt = "hvgene3"
class="mx-auto d-block" width = 80%>

And the same for the plasma reactor is shown below.
put fig here

<div class="row">
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week2/Plasma_Reactor.jpg" alt = "plasmareac1"
class="mx-auto d-block">
  </div>
  <div class="col-md-6 align-self-center" markdown="1">
    <img src = "./img/week2/Plasma_Reactor_ExploView_line.jpg" alt = "plasmareac2"
class="mx-auto d-block">
  </div>
</div>

There are still a few things to be done on this 3D model. These are listed below.

* All the high-voltage generator's internal electronics.
* Screws and bolts (and fixation system with the electronics, easily adjustable).
* Proper connection system between the different cylindrical parts in the plasma
reactor.
* How to manufacture the parts was not explained.
* A list of purchasable parts (buttons, screen, etc.)

### 3D Files

3D files are available here :

* [HV Generator part 1](./files/week2/HV_Gene.zip)
* [HV Generator part 2](./files/week2/HV_Gene.z01)
* [Plasma Reactor](./files/week2/PlasmaReac_3Dparts.zip)

***

## Compressing Images & Videos

### Image Magick

ImageMagick is a command-line tool used for processing, converting, and
manipulating images. It supports various formats and offers commands for
tasks like resizing, cropping, and applying effects. It's widely used for
batch processing and can handle complex image operations efficiently.

#### Install

The Windows version of image magick is self-installing, so it's very simple.

It's all explained [here](https://imagemagick.org/script/download.php).

#### Use

Image Magick is very practical, because on the one hand you can use commands to
perform an operation on an image, such as converting an image:

```bash
magick example.png MagickTest.jpg
```

Or reduce quality or size:

```bash
magick example.png -resize 50% -quality 80% MagickTest.jpg
```

This drastically reduces the size of image files that will take up space on a
server. In fact, during our Fab Ac training course, we'll be illustrating a lot
of things, and it's not necessary to have very high quality or very large images.

I also use "mogrify" from image magick to apply an operation on a set of files.
This makes file processing considerably faster. For example, the following command
applies a reduction in the size and quality of PNG images, as well as converting
the entire folder to JPG and saving it in a specific path.

```bash
magick mogrify -format jpg -quality 80% -path ./jpg *.png
```

### Wondershare UniConverter

[Wondershare UniConverter](https://videoconverter.wondershare.net/fr/lp/brand.html?gad_source=1&gclid=CjwKCAiAuNGuBhAkEiwAGId4ahJNQj1TJ-mCbCAihh0Ps2Np5uYfBFJeFYbe6YpU_ogZYWKd1rKjvxoCy3gQAvD_BwE)
is a software program for converting, modifying and compressing video files.
It comes with several handy tools!

<img src = "./img/week2/WonderShareWin.jpg" alt = "WonderShare"
class="mx-auto d-block" width=80%>

In the window above, some tools are directly accessible, such as the editor,
recorder, merge, etc.

Wondershare is very easy and accessible to use.
