+++
title = 'Week 3 : CCC'
fa = "scissors"
faVariant = "solid"
toc = true
weight = 3
+++

### Summary

This week I tried cutting vinyl for the first time. I also designed and cut
out a parametric box that will probably be used for my project.

<div class="row">
  <div class="col-md-6 align-self-center text-center" markdown="1" >
    <img src = "./img/week3/Vinyl_Result.jpg" alt = "SumVinyl"
class="mx-auto d-block">
    <i> My Vinyl Cut</i>
  </div>
  <div class="col-md-6 align-self-center text-center" markdown="1" >
      <img src = "./img/week3/Box_FinalResult.jpg" alt = "SumLaserCut"
class="mx-auto d-block">
<i> My Laser Cut </i>
  </div>
</div>

***

### Assignments

#### Group Assignment

* Characterize your lasercutter's focus, power, speed, rate, kerf, joint clearance
and types.

#### Individual Assignments

* Cut something on the vinylcutter.
* Design, lasercut, and document a parametric construction kit,
accounting for the lasercutter kerf, which can be assembled in multiple ways,
and for extra credit include elements that aren't flat.

***

## Lasercutter's Characterization

This part was done in group and is accessible on the [group page](https://fabacademy.org/2024/labs/ulb/group-assignments/week3/).

## Vinylcutter

As for the Vinyl cutter, I didn't try anything very useful as it's a first
for me. I decided to customize the desk I use at the FabLab. To do this, I
started by making my cut-out in Inkscape :

<img src = "./img/week3/Vinyl_SVG.jpg" alt = "VinylSVG" width = 50%
class="mx-auto d-block">

This time it's much simpler: all I need to do is define the features to be cut.
I need to export the file as dxf, another type of vector file.

The machine used is a Silhouette Cameo 3.

<img src = "./img/week3/Vinyk_machine.jpg" alt = "Vinyk_machine" width = 50%
class="mx-auto d-block"> <i>Picture by Charlotte Deroubaix </i>

On the computer controlling the machine, I'll just need to import the
dxf, and configure the cut by choosing the material and a few pre-configured
cutting parameters. Then insert the material and start cutting.

Once the cutout is made, stick a sticky plastic over what you want to transfer.
What's left is the outline of the cut-out, and our decal on a piece of paper,
shown below. You need to be very careful when making the transfer.

<div class="row">
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week3/Vinyl_Remain.jpg" alt = "VinylRemain"
class="mx-auto d-block">
  </div>
  <div class="col-md-6 align-self-center" markdown="1" >
      <img src = "./img/week3/Vinyl_CutResult.jpg" alt = "VinylCutted"
class="mx-auto d-block">
  </div>
</div>

I then positioned the vinyl, rubbed it well so that the entire surface stuck to
the table, and carefully removed the clear plastic.

<div class="row">
  <div class="col-md-4 align-self-center" markdown="1" >
    <img src = "./img/week3/Vinyl_Positioning.jpg" alt = "VinylPosition"
class="mx-auto d-block">
  </div>
  <div class="col-md-4 align-self-center" markdown="1" >
      <img src = "./img/week3/Vinyl_Rub.jpg" alt = "VinylRubbed"
class="mx-auto d-block">
  </div>
  <div class="col-md-4 align-self-center" markdown="1">
    <img src = "./img/week3/Vinyl_Removing.jpg" alt = "VinylRemoving"
class="mx-auto d-block">
  </div>
</div>

The result is shown below.

<img src = "./img/week3/Vinyl_Result.jpg" alt = "VinylResult" width = 50%
class="mx-auto d-block">

Note:

* "Teille" is my nickname, and yes, I like sharing beers with friends !

### Source file

* [SVG file Vinyl Cutter](./files/week3/VinylCutter_FirstTry.svg)

## First Test with the "Epilogue FusionPro"

During Thomas's instruction at FabLabULB, we had the opportunity to learn more
about the use of lasercuts available at the FabLab. There are two, each with
its own pros and cons:

<table>
<thead>
  <tr>
    <th>Name</th>
    <th>Power</th>
    <th>Working Range</th>
    <th>Focus</th>
    <th>Programming</th>
  </tr>
</thead>
<tbody>
  <tr>
    <td>Epilogue FusionPro</td>
    <td>60 W</td>
    <td>610 x 610 x 228 mm</td>
    <td>AutoFocus</td>
    <td>Print SVG Files &amp; Set colors</td>
  </tr>
  <tr>
    <td>LASERSAUR (handmade)</td>
    <td>100 W</td>
    <td>/</td>
    <td>ManualFocus</td>
    <td>Import SVG Files &amp; Set colors <br>- Do not accept filled drawing</td>
  </tr>
</tbody>
</table>

I started by testing the three operations that can be performed with a lasercut:
cutting, line engraving and fill engraving. The first step is to create an
SVG file that can then be imported into the control software. I launch
Inkscape and start drawing, a rectangle, a triangle, some text... You
can do whatever you like, but there are a few important concepts:

* You need to define the contours of the shapes, not just the insides.
* You need to assign a different color to each different operation
performed by the lasercut (different speed or power).
* Transform everything into "Path" and don't keep other vector objects.

When this is done, I get the following result in Inkscape :

<img src = "./img/week3/First_try_Laser_SVG.jpg" alt = "firstTryLaserSVG"
width = 80% class="mx-auto d-block">

Then, depending on the machine, the procedure is different, but in general,
I must :

* Import the file into the machine's control
software (SVG import, or SVG "print").
* Define the various operations according to the different colors assigned
in the SVG. That is, define a speed and a power.

<img src = "./img/week3/Laser_interface.jpg" alt = "Laser_interface"
width = 50% class="mx-auto d-block" > <i>Picture by Charlotte Deroubaix </i>

* Check that the cooling, air extraction and gas jet systems are operational.
* Check that the cutting frame is fully included in the material being cut.

The result is shown below... This
is what will later become the front panel of my HV generator!

<img src = "./img/week3/First_try_lasercut.jpg" alt = "firstTryLaser" width = 50%
class="mx-auto d-block">

### Source File

* [SVG file Testing Epilogue](./files/week3/Epilogue_FirstTest.svg)

## Parametric Construction Kit

### Idea

I got the idea from [Youtuber Kevin Pinguin](https://www.youtube.com/watch?v=XsXPoJJqS-8)
with one of his videos in which he presents his parametric box concept!

His laser-cut storage box generator is very nice! It lets you specify
box dimensions and generates ready-to-cut plans. This has inspired me to design
customizable boxes using Autodesk Fusion 360 and then laser-cut them in various
sizes. It's a great way to explore personalized fabrication, parametrisation
and unleash creativity!

Since my project concerns the development of a high-voltage generator,
I'll need a box to contain the electronics, which is also what motivated
me to start designing a parametric box. I don't yet know the dimensions of
what will be contained in the box, so it's very practical to have a parametric box.

### Design with Fusion 360

This time I decided to use Fusion 360 to try out another CAD software for a change.

The special feature of this design is that all dimensions are parameterized
in a file called "Master_Para". All parts designed afterwards import these
parameters. If these are modified in the master file, all other files are updated.

Parameters can be accessed: "modify -> modify parameters".
Parameters must be added manually and bookmarked for import.

<img src = "./img/week3/Para_Win.jpg" alt = "ParaWin" width = 80%
class="mx-auto d-block">

When a new part is created, a derivation must be inserted "insert -> insert derivation"
to import the dynamic parameters.

<img src = "./img/week3/Inser_Deriv.jpg" alt = "InserDeriv" width = 50%
class="mx-auto d-block">

Sketches are drawn by imposing distances which are functions of these parameters.
Here, for example, we're looking at the height of the part used to clamp two
sides of the box.

<img src = "./img/week3/CAD_Sketch_ExDimFunct.jpg" alt = "ExDimFunct" width = 30%
class="mx-auto d-block">

The sketches are shown below.

<img src = "./img/week3/CAD_Sketch_1.jpg" alt = "CADsketch1" width = 50%
class="mx-auto d-block">

<div class="row">
  <div class="col-md-6 align-self-center" markdown="1" >
      <img src = "./img/week3/CAD_Sketch_2.jpg" alt = "CADsketch2"
class="mx-auto d-block">
  </div>
  <div class="col-md-6 align-self-center" markdown="1">
    <img src = "./img/week3/CAD_Sketch_3.jpg" alt = "CADsketch3"
class="mx-auto d-block">
  </div>
</div>

I tested drawing functions such as symmetry and rectangular repetition,
notably for the small rectangles on the edges of the box.

<div class="row">
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week3/CAD_Sketch_RectanRep.jpg" alt = "SketchRecRep"
    width = 30%
class="mx-auto d-block">
  </div>
  <div class="col-md-6 align-self-center" markdown="1" >
      <img src = "./img/week3/CAD_Sketch_Sym.jpg" alt = "SketchSym"
      width = 30%
class="mx-auto d-block">
  </div>
</div>

To create the parts, I just extruded with the thickness of the cut
material as a parameter.

An assembly is made to visualize the result of cutting.

<img src = "./img/week3/CAD_Assembly.jpg" alt = "Assembly" width = 80%
class="mx-auto d-block">

### Parametrising the Design

To take parameterization a step further, the following table lists the
parameters used for the design.

<table>
<thead>
  <tr>
    <th>Name</th>
    <th>Value</th>
    <th>Unit</th>
    <th>Comment</th>
  </tr>
</thead>
<tbody>
  <tr>
    <td>Box_Length</td>
    <td>100</td>
    <td>mm</td>
    <td>This parameter defines the length of the box.</td>
  </tr>
  <tr>
    <td>Box_Width</td>
    <td>100</td>
    <td>mm</td>
    <td>This parameter defines the width of the box.</td>
  </tr>
  <tr>
    <td>Box_Height</td>
    <td>70</td>
    <td>mm</td>
    <td>This parameter defines the height of the box.</td>
  </tr>
  <tr>
    <td>Box_Thickness</td>
    <td>2.9</td>
    <td>mm</td>
    <td>This parameter defines the thickness of the used material.</td>
  </tr>
  <tr>
    <td>Fit</td>
    <td>0.3</td>
    <td>mm</td>
    <td>This parameter defines the correction required to ensure correct embedding.
    It is defined with the <a href=
    "https://fabacademy.org/2024/labs/ulb/group-assignments/week3/">Fitting
    characterization for joints</a> test
    performed during characterization of the laser cutter.</td>
  </tr>
  <tr>
    <td>Connector_Width</td>
    <td>20</td>
    <td>mm</td>
    <td>This parameter defines the width of the connectors, the parts that fit together.</td>
  </tr>
  <tr>
    <td>Connector_Height</td>
    <td>2.9</td>
    <td>mm</td>
    <td>This parameter defines the height of the connectors, the parts that fit together.</td>
  </tr>
</tbody>
</table>

### SVG File

Now that the CAD is complete, I need to generate the SVG files so I can cut out
the various parts. To do this, I download a Fusion 360 add-in called [Shaper
Utilities by Origin](https://apps.autodesk.com/FUSION/en/Detail/Index?id=3662665235866169729&appLang=en&os=Win64).

This allows me to export an SVG file from a surface by simply clicking on it.
I'm doing this with my three pieces. Then I create a file containing all the
cut-outs. This is shown below:

<img src = "./img/week3/All_Cutting_SVG.jpg" alt = "Assembly" width = 80%
class="mx-auto d-block">

Note: Shaper Utilities exports a full file when a surface is selected. You just
need to modify this by removing the solid and adding an outline so that it can
be used by laser cutters.

### Cardboard Parts & Result

I now head for the laser cutter. I decide to use the Lasersaur.
I import the SVG file into the control software and define the
cut based on the machine's characterization of the material, in
this case a particularly strong and beautiful cardboard.

I use 80% of the power and 60% of the speed of the laser cutter to make my cuts.

Below, I show the various stages of the cutting process: the material in the
machine, the cut, the separate parts of the frame and assembly.

<div class="row">
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week3/Box_Cutted.jpg" alt = "BoxCutted"
class="mx-auto d-block">
  </div>
  <div class="col-md-6 align-self-center" markdown="1" >
      <img src = "./img/week3/Box_LaserCut.jpg" alt = "BoxCut"
class="mx-auto d-block">
  </div>
</div>

<div class="row">
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week3/Box_Parts.jpg" alt = "BoxParts"
class="mx-auto d-block">
  </div>
  <div class="col-md-6 align-self-center" markdown="1" >
      <img src = "./img/week3/Box_Assembly.jpg" alt = "BoxAssembly"
class="mx-auto d-block">
  </div>
</div>

I made a box measuring 10x10x7cm and another measuring 10x10x1cm to make a lid.

<img src = "./img/week3/Box_FinalResult.jpg" alt = "BoxFinal" width = 80%
class="mx-auto d-block">

A few comments:

* I've carried out several iterations
of the design because some distances were set incorrectly.
* I'd like to improve the settings by, for example, setting the number
of iterations of the rectangular repeat to have several attachments when
the box is larger.
* I've had a problem with play, as the cardboard is more deformable, so
my final result isn't as solid as I thought it would be, and as the
design suggested. I'll have to keep testing this.

## Improved Version

This was done after week 3.

### Parameters modifications

Instead of being free to choose the dimensions of the box, I
preferred to standardize everything. This allows me to standardize
the assembly afterwards too. The parameters are now as follows:

<table>
<thead>
  <tr>
    <th>Name</th>
    <th>Value</th>
    <th>Unit</th>
    <th>Comment</th>
  </tr>
</thead>
<tbody>
  <tr>
    <td>Length_Fact</td>
    <td>2</td>
    <td></td>
    <td>This parameter is a factor defining the length of the box by beeing multiplied
    by the Dim parameter.</td>
  </tr>
  <tr>
    <td>Width_Factor</td>
    <td>2</td>
    <td></td>
    <td>This parameter is a factor defining the width of the box by beeing multiplied
    by the Dim parameter.</td>
  </tr>
  <tr>
    <td>Height_Fact</td>
    <td>1</td>
    <td></td>
    <td>This parameter is a factor defining the height of the box by beeing multiplied
    by the Dim parameter.</td>
  </tr>
  <tr>
    <td>Thickness</td>
    <td>2.9</td>
    <td>mm</td>
    <td>This parameter defines the thickness of the used material.</td>
  </tr>
  <tr>
    <td>Fit</td>
    <td>0.3</td>
    <td>mm</td>
    <td>This parameter defines the correction required to ensure correct embedding.
    It is defined with the <a href=
    "https://fabacademy.org/2024/labs/ulb/group-assignments/week3/">Fitting
    characterization for joints</a> test
    performed during characterization of the laser cutter.</td>
  </tr>
  <tr>
    <td>Dim</td>
    <td>50</td>
    <td>mm</td>
    <td>This parameter defines the base length that will be multiplied by the
    dimension factors. The smallest box that can be manufactured is therefore a
    50x50x50 mm^3 box.</td>
  </tr>
</tbody>
</table>
  
<img src = "./img/week3/NewPara_Win.jpg" alt = "BoxCut"
class="mx-auto d-block" width=80%>

The sketch design therefore had to change in line with these new parameters.
I've also set the rectangular repeat function so that when I increase the
width factor by 1, for example, the rectangular repeat adds a connector
to the design. So there's one connector per 50mm.

<div class="row">
  <div class="col-md-4 align-self-center" markdown="1" >
    <img src = "./img/week3/NewCAD_Sketch_1.jpg" alt = "NewSketch1"
class="mx-auto d-block">
  </div>
  <div class="col-md-4 align-self-center" markdown="1" >
    <img src = "./img/week3/NewCAD_Sketch_2.jpg" alt = "NewSketch2"
class="mx-auto d-block">
  </div>
<div class="col-md-4 align-self-center" markdown="1" >
    <img src = "./img/week3/NewCAD_Sketch_3.jpg" alt = "NewSketch3"
class="mx-auto d-block">
</div>
</div>

And the overall rendering changes too, as there's more embedding between the parts.

<img src = "./img/week3/NewCAD_Assembly.jpg" alt = "NewAssembly"
class="mx-auto d-block" width = 80%>

### Making SVG

Here I'll generate an SVG file in the same way as explained in the previous
section. The file will include different "base" sizes and different "side" sizes.
This way, I'll be able to assemble the whole in different ways.

<img src = "./img/week3/NewSVG_Cutting.jpg" alt = "NewCuttingSVG"
class="mx-auto d-block" width = 80%>

### Assembling Boxes

With this set of parts, I can assemble the boxes in different ways,
and assemble the boxes together in different ways too. It's very practical!

<img src = "./img/week3/NewPieces.jpg" alt = "NewPieces"
      class="mx-auto d-block" width = 30%>

Below are a few examples of what I've done.

<div class="row">
  <div class="col-md-4 align-self-center" markdown="1" >
    <img src = "./img/week3/NewAssembly_1.jpg" alt = "NewAssembly1"
class="mx-auto d-block">
  </div>
  <div class="col-md-4 align-self-center" markdown="1" >
    <img src = "./img/week3/NewAssembly_2.jpg" alt = "NewAssembly2"
class="mx-auto d-block">
  </div>
  <div class="col-md-4 align-self-center" markdown="1" >
      <img src = "./img/week3/NewAssembly_3.jpg" alt = "NewAssembly3"
      class="mx-auto d-block">
  </div>
</div>

<div class="row">
  <div class="col-md-4 align-self-center" markdown="1" >
    <img src = "./img/week3/NewAssembly_4.jpg" alt = "NewAssembly4"
class="mx-auto d-block">
  </div>
  <div class="col-md-4 align-self-center" markdown="1" >
    <img src = "./img/week3/NewAssembly_5.jpg" alt = "NewAssembly5"
class="mx-auto d-block">
  </div>
  <div class="col-md-4 align-self-center" markdown="1" >
      <img src = "./img/week3/NewAssembly_6.jpg" alt = "NewAssembly6"
      class="mx-auto d-block">
  </div>
</div>

There's still room for improvement. In fact, my design is not yet completely
finished, although the result is already quite satisfactory! For example,
I'd like to :

* To be able to put small contents inside large ones, side by side. Thickness
has to be taken into account.
* Place containers side by side on top of other containers. Here too,
thickness is a factor.

Generally speaking, the assembly of the boxes is complete, but we now need to
go a step further and think about the assembly of assemblies.

### Source Files

* [Cutting SVG](./files/week3/CuttingFileBoxV2.svg)
* [New Parametrical Boxe](./files/week3/week3_Boxes.zip)
