+++
title = 'Week 5 : 3D Printing & Scanning'
fa = "cube"
faVariant = "solid"
toc = true
weight = 5
+++

### Summary

This week I designed a hinge and printed it. I also scanned myself and printed
it out.

<div class="row">
  <div class="col-md-6 align-self-center" markdown="1" >
    <center>
        <video width=80% controls loop muted autoplay>
        <source src="./vid/week5/Charn_Print_Vid.mp4" type=video/mp4>
        </video>
    </center>
  </div>
  <div class="col-md-6 align-self-center" markdown="1" >
      <img src = "./img/week5/Me_Printed_Clean.jpg" alt = "MePrusaSupport"
class="mx-auto d-block" width = 50%>
  </div>
</div>

***

### Assignments

#### Group Assignment

* Test the design rules for your 3D printer.

#### Individual Assignments

* Design and 3D print an object (small, few cm3, limited by printer time) that
could not be made subtractively.
* 3D scan an object (and optionally print it).

***

## Design Rules Characterization

This part was done in group and is accessible on the [group page](https://fabacademy.org/2024/labs/ulb/group-assignments/week5/).

## Design and 3D print

For the part to be 3D printed, I wanted an all-in-one printed assembly.
I thought that designing and printing hinges would be useful for my project,
as I need to design a high-voltage generator, which will be contained in a
box and will need to be accessed.

### Hinge Design

I'll start by taking a look at what's been done on the Internet.
I found some interesting models on the [thingiverse website](https://www.thingiverse.com/search?q=hinge&page=1).

I want to take part in the exercise.
To design the hinges, I decided to keep things simple.
One of the two pieces will have an axis, and the other will surround this axis.

I start by extruding two parts that are fairly close together.
For the dimensions, I adapted my parametric box desgin from week 3.

I then drew the hollow cylinder that would allow rotation around the axis,
and extruded it on 3/10ths of the length on either side, starting from the
central plane.

<div class="row">
  <div class="col-md-4 align-self-center" markdown="1" >
    <img src = "./img/week5/Charn_Model_1.jpg" alt = "CharnMod1"
class="mx-auto d-block">
  </div>
  <div class="col-md-4 align-self-center" markdown="1" >
      <img src = "./img/week5/Charn_Model_2.jpg" alt = "CharnMod2"
class="mx-auto d-block">
  </div>
  <div class="col-md-4 align-self-center" markdown="1" >
      <img src = "./img/week5/Charn_Model_3.jpg" alt = "CharnMod3"
class="mx-auto d-block">
  </div>
</div>

Then I have to draw the rotation axis that will be attached to the other part.
To do this, I draw on the nearest plane, using the extruder part as a reference.
I then make 3 extrusions: the central axis, and the two connections from
the front and rear planes of the part.

I also make holes for the hinges.

<div class="row">
  <div class="col-md-4 align-self-center" markdown="1" >
    <img src = "./img/week5/Charn_Model_4.jpg" alt = "CharnMod4"
class="mx-auto d-block">
  </div>
  <div class="col-md-4 align-self-center" markdown="1" >
      <img src = "./img/week5/Charn_Model_5.jpg" alt = "CharnMod5"
class="mx-auto d-block">
  </div>
  <div class="col-md-4 align-self-center" markdown="1" >
      <img src = "./img/week5/Charn_Model_6.jpg" alt = "CharnMod6"
class="mx-auto d-block">
  </div>
</div>

The part is finished, and to lend myself to the 3D printing design,
I remove the sharpe angles by filleting the corners.

<img src = "./img/week5/Charn_Model_Final.jpg" alt = "CharnModFinal"
class="mx-auto d-block" width = 70%>

An important aspect of this design is the **clearance parameter** that must exist
between the two parts so that, after printing, they can move between each other.

I therefore introduced this parameter into the design by adding it to the
dimensioning of the axis.

To choose the parameter, we performed a clearance test in our group assignment,
which is accessible on the [group page](https://fabacademy.org/2024/labs/ulb/group-assignments/week5/).

It appears that the clearance parameter must be at least **0.5 mm** to allow two
parts printed together to be divided.

I verified this test by making 3 prints at different clearance parameter values.
These tests are shown below.

### Hinge Print

To print the parts, I use Prusa Slicer, the software dedicated to our printers
at the FabLab. There's a lot of freedom in terms of configuration, the main
ones being: the machine used, the material, the filling and the supports,
as shown below.

The PrusaSlicer software generates a gcode for the printer from a solid. To
do this, you need to "slice" the part. This means cutting it into layers (the
thickness of the layers is adjustable).

<div class="row">
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week5/Charn_Prusa.jpg" alt = "CharnPrusa"
class="mx-auto d-block">
  </div>
  <div class="col-md-6 align-self-center" markdown="1" >
      <img src = "./img/week5/PrusaSlicer_Config.jpg" alt = "CharnPrusaConfig"
class="mx-auto d-block">
  </div>
</div>

The first 3D print enabled me to verify the results obtained with the group.

<div class="row">
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week5/Charn_Print_1.jpg" alt = "CharnPrint1"
class="mx-auto d-block">
  </div>
  <div class="col-md-6 align-self-center" markdown="1" >
      <img src = "./img/week5/Charn_Print_2.jpg" alt = "CharnPrint2"
class="mx-auto d-block">
  </div>
</div>

The results clearly show that above 0.4 mm, the hinge can open normally,
and that below this, it does not. I decide to refine the design by choosing
0.5 mm for my next print to have a small margin. I also choose 0.5 mm as the
longitudinal spacing (along the rotation axis) to minimize the
play that appears between the parts.

I then printed other hinges with these optimal parameters.

<img src = "./img/week5/Charn_Print_5.jpg" alt = "CharnPrint5"
class="mx-auto d-block" width = 40%>

I wanted to try using them with my parametric boxes.
So I fixed one of them with screws simply screwed into the walls of the boxes.

<div class="row">
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week5/Charn_Print_3.jpg" alt = "CharnPrint3"
class="mx-auto d-block">
  </div>
  <div class="col-md-6 align-self-center" markdown="1" >
      <img src = "./img/week5/Charn_Print_4.jpg" alt = "CharnPrint4"
class="mx-auto d-block">
  </div>
</div>

The results are shown in the videos below.

<div class="row">
  <div class="col-md-6 align-self-center" markdown="1" >
    <center>
        <video width=80% controls loop muted>
        <source src="./vid/week5/Charn_Print_Vid.mp4" type=video/mp4>
        </video>
    </center>
  </div>
  <div class="col-md-6 align-self-center" markdown="1" >
    <center>
        <video width=80% controls loop muted>
        <source src="./vid/week5/Charn&Box_Vid.mp4" type=video/mp4>
        </video>
    </center>
  </div>
</div>

### Hinge Files

* [My hinge files](./files/week5/Charn.stl)

## 3D Scan

The rest of this week's work focused on 3D scanning, a technique I'd never used before.

### Scanning Myselef

After an introduction to the Creality camera we have at the FabLab.
I start up the dedicated software and quickly want to scan myself.

<img src = "./img/week5/3DScan_ConfigWin.jpg" alt = "CrealityConfig"
class="mx-auto d-block" width =80%>

The software is very easy to use, I start the scan and a configuration window opens.
Since I want to scan myself, I choose the "Body" object. The second parameter is
how the camera will understand that we're moving in space. For a symmetrical
object with variable texture, the second option is preferable, but this isn't
the case here as I'm not symmetrical.

With "Body" objects, few options are available, and they're fairly trivial.

I get myself scanned by another person (hello Charlotte).

<img src = "./img/week5/Scanning.jpg" alt = "Scanning"
class="mx-auto d-block" width =40%>

The scan result is a point cloud that can be linked by the software by
clicking on the "meshing" function. I export the result as an object file (.obj).

### Mesh & Post Process

I import the result into a software called [MeshMixer by Autodesk](https://meshmixer.com/).

This software is fairly easy to use for basic tasks.
I'm going to do some post-processing before I can 3D print myself.

The first step I take is to position myself correctly and change my dimensions.
I decide to have a height of 15cm. To do this, I use the Transform tool in Edit.

<div class="row">
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week5/MeshMix_1.jpg" alt = "MeshMix1"
class="mx-auto d-block">
  </div>
  <div class="col-md-6 align-self-center" markdown="1" >
      <img src = "./img/week5/MeshMix_2.jpg" alt = "MeshMix2"
class="mx-auto d-block">
  </div>
</div>

<div class="row">
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week5/MeshMix_3.jpg" alt = "MeshMix3"
class="mx-auto d-block">
  </div>
  <div class="col-md-6 align-self-center" markdown="1" >
      <img src = "./img/week5/MeshMix_4.jpg" alt = "MeshMix4"
class="mx-auto d-block">
  </div>
</div>

Then I'll fill in the gaps left by the scan. Indeed, there were difficulties
in scanning my hair for example, the result is a hole in the skull that will
have to be corrected. To do this, I use the Inspector tool in Analysis.

<div class="row">
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week5/MeshMix_5.jpg" alt = "MeshMix5"
class="mx-auto d-block">
  </div>
  <div class="col-md-6 align-self-center" markdown="1" >
      <img src = "./img/week5/MeshMix_6.jpg" alt = "MeshMix6"
class="mx-auto d-block">
  </div>
</div>

The result of this automatic combalge is far from perfect, so I rework the head
manually. To do this, I'm going to use the scuplting tools, different tools are
used. I'm going to smooth out certain areas of the face. Raise my head, and round
it off. But I'll also add a pattern to my skull that I'll smooth to simulate hair.

Chin smoothing :

<div class="row">
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week5/MeshMix_7.jpg" alt = "MeshMix7"
class="mx-auto d-block">
  </div>
  <div class="col-md-6 align-self-center" markdown="1" >
      <img src = "./img/week5/MeshMix_7_1.jpg" alt = "MeshMix71"
class="mx-auto d-block">
  </div>
</div>

Nose smoothing :

<div class="row">
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week5/MeshMix_8.jpg" alt = "MeshMix8"
class="mx-auto d-block">
  </div>
  <div class="col-md-6 align-self-center" markdown="1" >
      <img src = "./img/week5/MeshMix_8_1.jpg" alt = "MeshMix81"
class="mx-auto d-block">
  </div>
</div>

Head volume :

<div class="row">
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week5/MeshMix_9.jpg" alt = "MeshMix9"
class="mx-auto d-block">
  </div>
  <div class="col-md-6 align-self-center" markdown="1" >
      <img src = "./img/week5/MeshMix_9_1.jpg" alt = "MeshMix91"
class="mx-auto d-block">
  </div>
</div>

Hair texture :

<div class="row">
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week5/MeshMix_10.jpg" alt = "MeshMix10"
class="mx-auto d-block">
  </div>
  <div class="col-md-6 align-self-center" markdown="1" >
      <img src = "./img/week5/MeshMix_10_1.jpg" alt = "MeshMix101"
class="mx-auto d-block">
  </div>
</div>

Next, I'll add a pedestal to make my figure stand upright.
I use the MeshMixer to add solids. And I use the booleen assembly
function to make a single piece after positioning my base correctly.

<div class="row">
  <div class="col-md-4 align-self-center" markdown="1" >
    <img src = "./img/week5/MeshMix_11.jpg" alt = "MeshMix11"
class="mx-auto d-block">
  </div>
  <div class="col-md-4 align-self-center" markdown="1" >
      <img src = "./img/week5/MeshMix_12.jpg" alt = "MeshMix12"
class="mx-auto d-block" width =80%>
  </div>
  <div class="col-md-4 align-self-center" markdown="1" >
      <img src = "./img/week5/MeshMix_13.jpg" alt = "MeshMix13"
class="mx-auto d-block">
  </div>
</div>

I then export the result in a format that my PrusaSlicer printing software can read.
For example, STL or 3mf.

### Printing My Scanning

I import the file into the PrusaSlicer software. I configure the print by adding
organic media. I think there are some supports that aren't very useful, but I'm
afraid of having a problem during printing, so I leave it all!

You need to configure the printer used, as well as the material. But also a few
parameters such as z-axis precision, filling etc.
<div class="row">
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week5/Me_Prusa.jpg" alt = "MePrusa"
class="mx-auto d-block" width = 60%>
  </div>
  <div class="col-md-6 align-self-center" markdown="1" >
      <img src = "./img/week5/Me_Prusa_Support.jpg" alt = "MePrusaSupport"
class="mx-auto d-block" width = 70%>
  </div>
</div>

Printing will take about 4 hours. The result is very satisfactory.
We must be careful not to damage our piece when removing the supports.

<div class="row">
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week5/Me_Printed.jpg" alt = "MePrusa"
class="mx-auto d-block" width = 60%>
  </div>
  <div class="col-md-6 align-self-center" markdown="1" >
      <img src = "./img/week5/Me_Printed_Clean.jpg" alt = "MePrusaSupport"
class="mx-auto d-block" width = 70%>
  </div>
</div>

### Files

* [My figure files part 1](./files/week5/Me_WithBase.z01)
* [My figure files part 2](./files/week5/Me_WithBase.zip)
