+++
title = 'Week 7 : CCM'
fa = "laptop"
faVariant = "solid"
toc = true
weight = 7
+++

### Summary

This week I worked with CNC KineTic. After a bit of brainstorming about what to make,
I set to work on a shelf. I started by designing the shelf, programming the manufacturing
and making the shelf with the CNC. The result is really high quality!

<img src = "./img/week7/FinalResult.jpg" alt = "ShelfFinal"
class="mx-auto d-block" width = 80%>

I also tested the Shaper! It's a handy tool, but slower than the CNC (and more tiring).
I took a GrabCAD design of a small aperitif tray and recreated it with the Shaper.

<img src = "./img/week7/Shaper_Result.jpg" alt = "ShaperResult"
class="mx-auto d-block" width = 80%>

***

### Assignments

#### Group Assignment

* Do your lab's safety training.
* Test runout, alignment, fixturing, speeds, feeds, materials, and
toolpaths for your machine.

#### Individual Assignments

* Make (Design + Mill + Assemble) something big (~meter-scale).
* Extra credit: don't use fasteners or glue, & include curved surfaces.

***

## Safety

This part was done in group and is accessible on the [group page](https://fabacademy.org/2024/labs/ulb/group-assignments/week7/).

## Testing CNC & Shaper

This part was done in group and is accessible on the [group page](https://fabacademy.org/2024/labs/ulb/group-assignments/week7/).

## Working With CNC

## Design

### Idea & Motivation

When brainstorming potential projects for the CNC machine, I considered a range
of options before settling on the shelf. Alternatives included items like
custom coasters,wall-mounted hooks, a small coffee table, and even a desk
organizer (DeskHub). However, I ultimately chose the shelf because it aligned best
with my immediate storage needs and offered a straightforward yet practical
application of the CNC technology.

### Parts Design

For the design, I imagined a shelf made up of parallel slats and supported
by two or three brackets. I wanted to avoid being too straight and added curves.
I also wanted to be on several levels. All this together led me to design the shelf
below, which shows the assembly carried out on Fusion 360.

<div class="row">
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week7/Shelf_Assembly_Fusion.jpg" alt = "ShelfFusion"
class="mx-auto d-block">
  </div>
  <div class="col-md-6 align-self-center" markdown="1" >
      <img src = "./img/week7/Shelf_ExplodedAssembly_Fusion.jpg" alt = "ShelfFusionExplo"
class="mx-auto d-block">
  </div>
</div>

#### Slat Design

I started by drawing the slats. I wanted to have support on one side, so I added
this vertical rise on the left. I decided on a slat width of 3 cm, and designed the
holes so I could insert my supports and, above all, fit the slats into the support.

<img src = "./img/week7/Shelf_Slat_Fusion.jpg" alt = "ShelfSlate"
class="mx-auto d-block" width =80%>

In order to achieve this, I designed dogbones to match the circular geometry of
a milling bit. I'm planning to use a single tool head to simplify the subsequent
manufacture. The head is 6 mm in diameter, so my dogbone holes are that diameter
too.

<img src = "./img/week7/Shelf_DogBone_Fusion.jpg" alt = "DogBoneFusion"
class="mx-auto d-block" width =80%>

I'm leaving these diameters as parameters so that I can modify them if necessary.
The height of the mounting holes is also a parameter: the thickness of the material
used. Here I'm using 18mm thick MDF.

#### Support Design

The support was created in a fairly intuitive way, and will have to be rethought
in view of the final result. I should have taken more time to think this one up
(I've already got my idea for V2).

<img src = "./img/week7/Shelf_Support_Fusion.jpg" alt = "SupportFusion"
class="mx-auto d-block" width =80%>

The support is fitted into the various slats. I designed an arch to distribute
the weight of the shelf. I chose not to put dogbone at the bottom of the recess
to keep the aesthetics intact, and I'll finish it off with a file for a perfect match.

#### Work Plan Design

I decide to draw the size of the CNC work plan in anticipation of
what's to come. We'll need to place the parts on the entire work
surface and fit as many of them as possible.

My work plan is therefore 95 cm x 60 cm. We can already see the
dots that will be used to mark the location of the screws
used to fix my MDF board to the CNC work surface.

<img src = "./img/week7/Shelf_WorkingDimension&ScrewsPos_Fusion.jpg" alt = "WorkingBenchFusion"
class="mx-auto d-block" width =80%>

### Parameters

During this design, I only used two parameters: material
thickness and tool head diameter:

* Material thickness will influence extrusion size, but also hole size.
* Tool diameter will influence dogbone size.

## Manufacturing Design

### Setup

For the manufacturing part, I start by making two assemblies to place all my
parts flat on the work surface. I need two assemblies because not all the parts
fit on one plane. So I'll need to make two cut-outs.

<div class="row">
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week7/Shelf_ManufacturingArrang_1_Fusion.jpg" alt = "ManufFusion1"
class="mx-auto d-block">
  </div>
  <div class="col-md-6 align-self-center" markdown="1" >
      <img src = "./img/week7/Shelf_ManufacturingArrang_2_Fusion.jpg" alt = "ManufFusion2"
class="mx-auto d-block">
  </div>
</div>

I'll now explain what I did with the first cut, and the same will be done with
the second.

I start by going to Fusion's "Fabrication" tab and defining a setup.

<div class="row">
  <div class="col-md-4 align-self-center" markdown="1" >
    <img src = "./img/week7/FabricationTab_Fusion.jpg" alt = "FabTab"
class="mx-auto d-block">
  </div>
  <div class="col-md-8 align-self-center" markdown="1" >
      <img src = "./img/week7/Shelf_Setup_Fusion.jpg" alt = "SetupFusion"
class="mx-auto d-block">
  </div>
</div>

There are three tabs to browse and configure:

* The first is a fairly general
configuration of what will be used and practiced during the manufacturing
operation. In particular, it defines the solid to be manufactured and the
axis system to be used, as well as the type of operation.
* The second is the configuration of the "raw" material before manufacture.
This mainly involves defining the dimensions.
* The third and final step consists of configuring the information to
be used by the post-processor (program translating tool paths into
machine-readable gcode).

<div class="row">
  <div class="col-md-4 align-self-center" markdown="1" >
    <img src = "./img/week7/Setup_Tab_Fusion.jpg" alt = "SetupTab"
class="mx-auto d-block">
  </div>
  <div class="col-md-4 align-self-center" markdown="1" >
      <img src = "./img/week7/Brut_Tab_Fusion.jpg" alt = "BrutTab"
class="mx-auto d-block">
  </div>
  <div class="col-md-4 align-self-center" markdown="1" >
      <img src = "./img/week7/PostProcess_Tab_Fusion.jpg" alt = "PostProcTab"
class="mx-auto d-block">
  </div>
</div>

### 2D Contour

We now need to define our various manufacturing operations.
As my parts are fairly simple, I'll be content with making "2D contours":
the tool will turn around (or dig inside) the parts and remove the material
little by little.

Once again, there's a lot to configure. When you select the "2D Contour"
function, there are no less than 6 tabs to browse through.

* The first tab lets you configure the tool and the speeds used. Here, I'm using
a 6 mm diameter flat head. The speeds set will depend on the tool, but also on the
material being worked. Here, after some testing with our instructor, I've decided
to work at 20,000 rpm for spindle speed, 2,400 mm/min for feed speed, and 900 mm/min
for ramp speed. The other parameters were chosen by default equal to the others
to simplify the work, but this can of course be further optimized.
* The second tab lets you select the geometries we're interested in.
In this case, it's the bottom edges of the parts I want to cut. In this tab,
you can also configure the tabs that will be used to maintain the parts linked
to the raw material so that they do not move during manufacture.
* The third tab remains the default. These are the different heights that
the machine will use (for example, to move between two geometries). Since
I don't use clamps, there aren't really any objects to avoid, so it remains as default.

<div class="row">
  <div class="col-md-4 align-self-center" markdown="1" >
    <img src = "./img/week7/2DContour_Tab_Tool.jpg" alt = "SetupTab"
class="mx-auto d-block">
  </div>
  <div class="col-md-4 align-self-center" markdown="1" >
      <img src = "./img/week7/2DContour_Tab_OuterTabs.jpg" alt = "BrutTab"
class="mx-auto d-block">
  </div>
  <div class="col-md-4 align-self-center" markdown="1" >
      <img src = "./img/week7/2DContour_Tab_Heights.jpg" alt = "PostProcTab"
class="mx-auto d-block">
  </div>
</div>

* The fourth tab focuses on pass configurations. I'm not going to change anything
in the first part, but I will add the "Multiple depths" function, which will
configure several passes to reach the bottom of the part (instead of doing it
in a single pass). The depth of a pass is chosen to be half the tool diameter.
* The fifth tab isn't very interesting here, and the sixth allows me to configure
the ramp that will be used to dig into the material instead of going down to the
expected level and staying on the plane before iterating.

<div class="row">
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week7/2DContour_Tab_Passes.jpg" alt = "SetupTab"
class="mx-auto d-block" width = 60%>
  </div>
  <div class="col-md-6 align-self-center" markdown="1" >
      <img src = "./img/week7/2DContour_Tab_Other.jpg" alt = "BrutTab"
class="mx-auto d-block" width = 60%>
  </div>
</div>

So I made two 2D Contours, one for the inside of the rooms and
one for the outside. On the outside, I placed tabs to hold the parts
in place and prevent them from moving during cutting.

<img src = "./img/week7/2DContour_Inner&Outer.jpg" alt = "PostProcTab"
class="mx-auto d-block" width =80%>

Once all this has been defined, operations are visible and can be simulated and post-processed.

### Analysis and Post-Processing

Once you've configured everything, you can simulate the tool's path, which can
be useful for checking that everything matches your expectations. It's also possible
to estimate the time it will take to manufacture, as shown below.

<img src = "./img/week7/OperatingTime.jpg" alt = "WorkingBenchFusion"
class="mx-auto d-block" width =50%>

When everything is good, I export the operations in gcode. To do this, we need
to post-process our production. The post-processor depends on the machine used, as
it will translate the machine operations into machine path and machine command (the
famous gcode), and this machine language is specific to each machine!

The post-processor can be configured in the following window. I personally didn't
change much from the file received by our instructor.

<img src = "./img/week7/PostProcessorWin.jpg" alt = "PostProcesor"
class="mx-auto d-block" width =50%>

## CNC Manufacturing

### Preparing Raw Material

Now that the machine instructions have been created and translated, it's
time to turn to the tangible. The MDF must be cut to the dimensions of the
work surface (95cm x 60cm) and the position of the screws must be marked on
the wood. I also decide to pre-drill the marks to prevent the MDF from cracking,
and to facilitate screw installation.

<div class="row">
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week7/WoodenBoard_Marks.jpg" alt = "RawMat"
class="mx-auto d-block">
  </div>
  <div class="col-md-3 align-self-center" markdown="1" >
      <img src = "./img/week7/WoodenBoard_Marks_Zoomed.jpg" alt = "Marks"
class="mx-auto d-block">
  </div>
  <div class="col-md-3 align-self-center" markdown="1" >
      <img src = "./img/week7/WoodenBoard_PreHoles.jpg" alt = "PreHoles"
class="mx-auto d-block">
  </div>
</div>

I then place the MDF in the machine, it's a HIGH-Z S-1000/T CNC ROUTER from [CNC-Step](https://www.cnc-step.com/cnc-router-1000x600-s-1000t-ballscrew/). I can then move on to the next step.

<img src = "./img/week7/WoodenBoard_ReadyToMill.jpg" alt = "MDFReady"
class="mx-auto d-block" width = 80%>

### Kinetic Software

I can perform all kinds of operations on the Kinetic control software.
In particular, I can move the machine along the three axes, change the position
of the relative reference origin, import a gcode, and so on.

The first thing to do after the equipment has been installed, and the tool
mounted on the milling head, is to calibrate the z-axis. The machine will
measure the distance between the tip of the tool head and the material. To
do this, a custom program has been added to the Kinetic software. The switch
must be placed under the head. The custom program will lower the milling machine
until the switch is pressed.

<div class="row">
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week7/ToolOffset_Function_Kinetic.jpg" alt = "ToolOffsetKinetic"
class="mx-auto d-block" width = 80%>
  </div>
  <div class="col-md-6 align-self-center" markdown="1" >
      <img src = "./img/week7/ToolOffset_Sensor.jpg" alt = "ToolOffsetSensor"
class="mx-auto d-block" width = 80%>
  </div>
</div>

I can now import my gcode into the software. A visualization is available on the
software. It will also check that the machine path does not exceed the limits
of the work plan.

<img src = "./img/week7/VisualisingPath_Kinetic.jpg" alt = "PathKinetic"
class="mx-auto d-block" width = 80%>

I had a few problems with the definition of the origin of the relative reference
frame, as it placed my cutout totally out of line, and, given that my parts are
just under the maximum length, it sent me an error. I solved the problem by positioning
myself at X = 0, Y = 0 of the machine's absolute reference frame and choosing this
position as the origin of the relative reference frame.

I also had a problem with the G49 command, which was setting an offset in height.
This is normally used to make a pass in the air and check that everything's OK, but
the software was defaulting to it every time I paused. To fix this, I shifted my
Z origin by the height of the MDF (i.e. 18 mm).

### CNC Manufacturing Result

Now I can start manufacturing. Just press play. During
the operation I check that there are no problems with :

* Screw placement.
* A possible fire.
* Suspicious noises that could mean the tool is under too great a load,
which could break it.

For the rest, the machine takes care of everything! The first manufacture
takes about 1h40, the second 40min for a total of 2h20. This time can be
optimized by increasing various parameters, such as feed speed, ramp angle
for faster descent into the material, etc.

The manufacturing process can be seen below.

<div class="row">
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week7/WoodenBoard_DuringMilling.jpg" alt = "DuringMilling"
class="mx-auto d-block" >
  </div>
  <div class="col-md-6 align-self-center" markdown="1" >
      <img src = "./img/week7/WoodenBoard_DuringMilling_2.jpg" alt = "DuringMilling2"
class="mx-auto d-block" >
  </div>
</div>

Despite vacuuming, there are still quite a few shavings left in the cut-outs,
so you need to clean as much as possible before removing the MDF.

<div class="row">
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week7/WoodenBoard_MillingResult_Dirty.jpg" alt = "MillingResult"
class="mx-auto d-block" >
  </div>
  <div class="col-md-6 align-self-center" markdown="1" >
      <img src = "./img/week7/WoodenBoard_MillingResult_Clean.jpg" alt = "MillingResult2"
class="mx-auto d-block" >
  </div>
</div>

Now that the cutting is complete, the MDF can be unscrewed.

## Post Process

### Removing Parts

The parts must be removed from the MDF board. Tabs have been added to hold
the parts to the board. I use a small circular saw to remove them.

There is also a very thin layer that has remained in some places, as the thickness
is of course not constant over the whole board. This thin layer is easily broken
off by hand or with a screwdriver.

<div class="row">
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week7/WoodenBoard_BackSide.jpg" alt = "MDFBackSide"
class="mx-auto d-block" >
  </div>
  <div class="col-md-6 align-self-center" markdown="1" >
      <img src = "./img/week7/WoodenBoard_BackSide_Open.jpg" alt = "MDFBackSideOpen"
class="mx-auto d-block" >
  </div>
</div>

All this leaves the pieces in a rather raw state.

<img src = "./img/week7/WoodenPieces_BeforeSanding.jpg" alt = "PartsBeforeSanding"
class="mx-auto d-block" width = 80%>

### Sanding

I'm going to improve their condition by sanding them. It's easy enough with
the tools available in the workshop. I sand the edges to remove excess
material. I'm also going to sand the holes (dogbone) in my support
pieces because the fit is a bit too strong.

<div class="row">
  <div class="col-md-8 align-self-center" markdown="1" >
    <img src = "./img/week7/WoodenPieces_AfterSanding.jpg" alt = "PartsAfterSanding"
class="mx-auto d-block">
  </div>
  <div class="col-md-4 align-self-center" markdown="1" >
      <img src = "./img/week7/DogBone_Result.jpg" alt = "DogBoneResult"
class="mx-auto d-block" >
  </div>
</div>

My parts are now clean and ready to assemble!

## Final Result

To assemble, I position my two supports, and thread the
slats one at a time. My slats are 22 mm apart, so I use spacers
of that length to position them properly. Thanks to the recess, the
battens don't move along the support, unless you use a hammer as I do
to position them (I don't knock directly on my pieces to avoid damaging them).

<div class="row">
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week7/StartingAssembly.jpg" alt = "StartAssem"
class="mx-auto d-block" >
  </div>
  <div class="col-md-6 align-self-center" markdown="1" >
      <img src = "./img/week7/ContinuingAssembly.jpg" alt = "ContAssem"
class="mx-auto d-block" >
  </div>
</div>

When I'm done, I decide to test the final look by fixing it! The final
look is really nice, I'm very satisfied!

<img src = "./img/week7/FinalResult.jpg" alt = "FinalResult"
class="mx-auto d-block" width = 80%>

I also try to put it in situation by putting some objects on it.

<div class="row">
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week7/PutingSomeObject.jpg" alt = "SomeObj"
class="mx-auto d-block">
  </div>
  <div class="col-md-6 align-self-center" markdown="1" >
      <img src = "./img/week7/PutingSomeObject_2.jpg" alt = "SomeObj2"
class="mx-auto d-block" >
  </div>
</div>

### Remarks

Having completed this first version of my shelf, although the result is very
satisfactory, there are a few comments to be made.

* The supports aren't strong enough, in fact when I
tested the shelf, I could see it bending under the effort.
* MDF doesn't like screws screwed into its thickness, as they tend
to separate the layers, as can be seen in the photo below, despite
the pre-drilled holes.
* I've already thought of a more solid V2, and may make it if I have the time,
we'll see!

<img src = "./img/week7/ScrewingMDF_Problem.jpg" alt = "ProbScrews"
class="mx-auto d-block" width = 30%>

### Files

* [Slat File](./files/week7/Shelf_Slat.f3d)
* [Support File](./files/week7/Shelf_Support.f3d)

***

## Working With Shaper

## Wooden Plate Design

I still wanted to test the Shaper this week with a small project. I went
to GrabCAD and looked for a tray that I could use as an aperitif tray or for
a coffee with biscuits.

I ended up finding this [wooden plate](https://grabcad.com/library/wooden-plate-1)
, which I really like ! So I open the stl with fusion. And I use the Shaper
addon to export an SVG from the top of the tray.

<div class="row">
  <div class="col-md-6 align-self-center" markdown="1" >
    <img src = "./img/week7/Plate_ShaperProject_Fusion.jpg" alt = "WoodenPlateSTL"
class="mx-auto d-block">
  </div>
  <div class="col-md-6 align-self-center" markdown="1" >
      <img src = "./img/week7/Shaper_Addon.jpg" alt = "ShaperAddon"
class="mx-auto d-block" >
  </div>
</div>

The SVG will be used by the Shaper to know what to cut. This means that
the Shaper can only perform operations in 2D.

## Manufacturing

### Shaper Setup

To make the cut, start by choosing your material, fixing it firmly to the work
surface and adding the special adhesive paper supplied by Shaper. This sticky
paper helps the Shaper to find its way in space, and you need to place enough
of it around so that the machine doesn't get lost.

<img src = "./img/week7/Shaper_Preparing.jpg" alt = "ShaperAddon"
class="mx-auto d-block" width =70% >

Then with the machine, you start by scanning the workspace.
When that's done, I import the SVG and position it where I want
to make my wooden tray.

### Operating

I can start cutting. There are two pockets and one line to cut to
make the part. As with the CNC, the maximum cutting depth in one pass is
half the diameter of the tool, which in this case is 6 mm. The wood I'm using
is 18 mm, so I'll have to make 6 passes for the contour, and 2 for the pockets
(I don't want them too deep). After two passes, I have the following result.

<img src = "./img/week7/Shaper_AfterSomePasses.jpg" alt = "ShaperSomePasses"
class="mx-auto d-block" width =70% >

I continue my work and end up clearing the room, the appearance is a bit rough.

<img src = "./img/week7/Shaper_Result.jpg" alt = "ShaperRoughResult"
class="mx-auto d-block" width =70% >

As with my CNC-cut parts, I sand the part to obtain something cleaner.

<img src = "./img/week7/Shaper_FinalResult.jpg" alt = "ShaperCleanResult"
class="mx-auto d-block" width =70% >

### Comment

My main comment is that I had a problem using the Shaper. I forgot to
double-stick my board to my work surface to prevent the material from
slipping, as our instructor advised. The result was that when I was using
the Shaper, the board shifted where the Shaper sticky paper used as a
reference was attached. The result is that the Shaper thought it was doing
the right thing, but it wasn't, because it slipped. When you look at the
part, you can see that there are irregularities. So a word of advice:
listen carefully to your instructor!

### File

* [Wooden Plate](./files/week7/Shaper_Project.f3d)
