+++
title = "Fab Lab ULB Theme"
hiddennav = true
fa = "pencil"
faVariant = "solid"
weight = 20
+++

## License

{{< license >}}


## About this template

This template was written by [Nicolas H.-P. De Coster (Vigon)](https://fablab.ulb.be/about/team/#Nicolas_De_Coster) in 2023, originally for the [Fab Zero ULB](https://fablab-ulb.gitlab.io/enseignements/2022-2023/fabzero-experiments/class-website) course (as an alternative to [MkDocs](https://www.mkdocs.org/)) and the Fab Lab ULB website.

It was designed to be :
- easy to maintain by ["not-computer-people"](https://xkcd.com/627/), [MarkDown](https://daringfireball.net/projects/markdown/)-based.
- fast : [Hugo](https://gohugo.io/) was selected after an interesting discussion with [Kris](https://gitlab.com/kriwkrow) in Amsterdam during the [Fab Lab Instructor Bootcamp](http://academany.fabcloud.io/fabacademy/2023/instructors-bootcamp/) and some tests and comparisions on the static websites generators on [jamstack](https://jamstack.org/generators/)
- filled with features (see below)

This template is (more or less) maintained inside : {{< templateLinks >}}.

## Features

This website template supports : 
- A [LaTeX-like](https://www.latex-project.org/) style largely inspired by [LaTeX Now](https://latex.now.sh/) and adapted by <abbr title="Nicolas H.-P. De Coster (Vigon)">NDC</abbr>, using the iconic [Latin Modern](https://www.gust.org.pl/projects/e-foundry/latin-modern/index_html) fonts family.
- [Bootstrap](https://getbootstrap.com/), an fast a responsive framework for building websites.
- [Font Awesome](https://fontawesome.com/), to integrate fancy and beautiful icons easily
- [jQuery](https://jquery.com/), a rich JavaScript library (used for the dropdown menu)
- [MathJax](https://www.mathjax.org/), to render LaTeX code in HTML (allows equations display)
- [QRCodeJS](https://davidshimjs.github.io/qrcodejs/) was used to generate QRCode on-the-fly on each page
- Direct HTML code in MarkDown documents


## Style and Color code

- Fab Lab ULB <span style="background-color:#ff581c;">orange(#ff581c)</span> is part of our identity, quite pushed by [Victor Levy](https://fablab.ulb.be/about/team/#Victor_Levy).
- ULB <span style="background-color:#004b93;">blue(#004b93)</span> and <span style="background-color:#b1c1e5;">light blue(#b1c1e5)</span> come from the official ULB logo.
- [<span style="font-family: 'Latin Modern'; ">Latin Modern</span>](https://www.gust.org.pl/projects/e-foundry/latin-modern) and [<span style="font-family: 'Latin Modern Sans'">Latin Modern Sans</span>](https://tug.org/FontCatalogue/latinmodernsans/) have been used to give a readable look, close to that of scientific and technical publications. The choice of using serif fonts (for titles) and sans fonts (for text) was inspired by [Wikipedia](https://www.wikipedia.org/)'s style.

![](img/fablabULBHall.jpg)


## Contributors

- [Kris](https://gitlab.com/kriwkrow) was a great help to build the first skeleton (basic automated menu) and show me the first steps to get into [Hugo](https://gohugo.io/).
- The dropdown menu was inspired from https://bootsnipp.com/snippets/4qgR
- The "copy code" button was inspired by https://digitaldrummerj.me/hugo-add-copy-code-snippet-button/ and adapted by <abbr title="Nicolas H.-P. De Coster (Vigon)">NDC</abbr>.
