## config.toml

The config.toml file is meant to provide Hugo with the needed information 
to build the website.

#### Parameters

- `baseURL` : base URL is the main url of the website. It is used to make all links (from menu, inside pages, etc.) consistent and predictables. If you change your files server and thus url, you should adapt this parameter.
- `title` : main title of the website (will be display in browser's tab and for bookmarks). This parameter will be overwritten if provided as subparameter in "language" section.
- `copyright` : will be display at the bottom of every page


### params section

Those parameters configure the location/contact display at the site bottom (on every page).
- `address` : physical adresse (street + num)
- `postCode` : post code (and city)
- `phone` : phone number, preferably with internationnal prefix.
- `mail` : main contact email address

Those are other various parameters : 
- `latexStyle` = activation of latexStyle. May be true or false.
- `fontAwesome` = activation of font Awesome. May be true or false.
- `license` : license of the website. Should be 'BY-NC-SA 4.0' as this project is distributed under this license and is "share alike".
- `licenseURL` : URL of the license text
- `templateGIT` : link to the git template project holding this website layout
- `templateURL` : link to the git template website (browsable/rendered)


## [Shortcodes](layout/shortcodes/)

Short codes are meant to ease writting providing pre-formatted code to display 
more complex elements (typically multi-columns display that must stay responsive).



### Portraits

`portrait` shortcode is meant to display people's description in a uniform way.

Code is like :

```Go
{{< portrait src="JohnDoe.jpg" name="John Doe" roles="Role1 - Role2" >}}

Lorem ipsum dolor sit amet.

{{< /portrait >}}
```

#### Parameters

- `src` : image filename. The picture must be in `./static/img/team`.
- `name` *(mandatory)* : name of the person being presented (as should be displayed)
- `roles` : list of the roles


### imgTxt

`imgTxt` shortcode is meant to display a picture next to a text in a responsive 
way.

The display is organized as a Bootstrap column/grid system, based on 12 columns.


#### Parameters

- `picSrc` : picture filename or path. The picture should be placed in `./static/img` 
or one of its subfolders
- `imgColWidth` : image column width, expressed in 1/12 page width as bootstrap convention. Default is 3 for img and - thus - 9 for text. Text width will be automatically computed based on this `imgColWidth` parameter.
- `imgLegend` : optional image legend
- `imgPos` : optional position for image. Default is image on the left side of the text. Can be "left" (default) or "right".
- `id` : id of the main row div element (main container of the two columns)
