// see also https://visjs.github.io/vis-network/examples/network/data/importingFromGephi.html

const cy = cytoscape({
    container: document.getElementById('cy'),
                     elements: {
                         nodes: [
                     { data: { id: 'missions', text:'Nos missions', weight: 6, href: 'https://fablab.ulb.be/' } },
                     { data: { id: 'Enseignement', weight: 4 } },
                     { data: { id: 'recherche', text:'recherche', weight: 4} },
                     { data: { id: 'Frugal Lab', weight: 3 } },
                     { data: { id: 'Juris Lab', weight: 3 } },
                     { data: { id: 'Formation machines', weight: 3 } },
                     { data: { id: 'Fab Academy', weight: 3} },
                     { data: { id: 'Enseignement ULB', weight: 3 } },
                     { data: { id: 'comService', text : 'Services à la communauté', weight: 4 } },
                     { data: { id: 'Steam Lab', weight: 3, href: 'https://steamlab.ulb.be/' } },
                     { data: { id: 'Repair Lab', weight: 3 } },
                     { data: { id: 'irm', text: 'IRM', weight: 3, href:'https://www.meteo.be/' } }
                         ],
                     edges: [
                     { data: { source: 'missions', target: 'recherche' } },
                     { data: { source: 'missions', target: 'Enseignement' } },
                     { data: { source: 'missions', target: 'comService' } },
                     { data: { source: 'comService', target: 'Steam Lab' } },
                     { data: { source: 'comService', target: 'Repair Lab' } },
                     { data: { source: 'recherche', target: 'Frugal Lab' } },
                     { data: { source: 'recherche', target: 'irm' } },
                     { data: { source: 'recherche', target: 'Juris Lab' } },
                     { data: { source: 'Enseignement', target: 'Formation machines' } },
                     { data: { source: 'Enseignement', target: 'Fab Academy' } },
                     { data: { source: 'Enseignement', target: 'Enseignement ULB' } }
                     ]
                     },
                     style: [
                     {
                        selector: 'node',
                     style: {
                         'content': node => node.data('text') || node.data('id'),
                     'text-valign': 'center',
                     'text-halign': 'center',
                     'background-color': '#f7d99b',
                     'border-color': '#a9a9a9',
                     'border-width': 1,
                     'border-opacity': 1,
                     'font-size' : node => node.data('weight') * 7,
//                      'color': '#555',
                     'width': node => node.data('weight') * 40,
                     'height': node => node.data('weight') * 40,
                     'text-wrap': 'wrap',
                     'text-max-width': node => node.data('weight') * 20,
//                      'text-background-opacity': 1,
//                      'text-background-color': '#f7d99b',
                     'text-background-padding': '3px'
                     }
                     },
                     {
                         selector: 'edge',
                     style: {
                         'width': 2,
                     'line-color': '#ccc',
                     'target-arrow-color': '#ccc',
                     'target-arrow-shape': 'triangle'
                     }
                     }
                     ],
                     layout: {
                         name: 'cose',
                        animationDuration: 5000,
                     padding: 50,
                     // Maximum number of iterations to perform
                     numIter: 5000,
                     
                     // Initial temperature (maximum node displacement)
                     initialTemp: 1000,
                     coolingFactor: 0.995,
//                      positions: {
//                          'missions': { x: 500, y: 300 }, // Center 'missions'
//                          'recherche': { x: 350, y: 100 }, // Position 'recherche'
//                          'Enseignement': { x: 650, y: 100 }, // Position 'Enseignement'
//                          'Service a la communauté': { x: 500, y: 550 }, // Position 'Service a la communauté'
//                          'Frugal Lab': { x: 150, y: 200 }, // Position 'Frugal Lab'
//                          'Juris Lab': { x: 150, y: 400 }, // Position 'Juris Lab'
//                          'Formation machines': { x: 800, y: 200 }, // Position 'Formation machines'
//                          'Fab Academy': { x: 950, y: 400 }, // Position 'Fab Academy'
//                          'Enseignement ULB': { x: 950, y: 600 }, // Position 'Enseignement ULB'
//                          'Steam Lab': { x: 250, y: 700 }, // Position 'Steam Lab'
//                          'Repair Lab': { x: 800, y: 700 } // Position 'Repair Lab'
//                      }
                     }
});

cy.on('tap', 'node', function(evt){
    const node = evt.target;
    const href = node.data('href');
    if (href) {
        window.open(href, '_blank');
    }
});
/*
var makeDiv = function(text){
    var div = document.createElement('div');
    
    div.classList.add('popper-div');
    
    div.innerHTML = text;
    
    document.body.appendChild( div );
    
    return div;
};

cy.on('tap', 'node', function(event) {
    const node = event.target;
    const link = node.data('href');
    

    node.popper({
        content: function(){ return makeDiv('<a href="'+link+'" target=_blank>'+link+'</a>'); },
//         popper: {
//             popperOptions: {
//                 modifiers: [
//                 {
//                     name: 'offset',
//                 options: {
//                     offset: [0, 10] // Ajustez ces valeurs selon votre besoin pour décaler le popup
//                 }
//                 }
//                 ]
//             }
//         }
    });
});

*/
